<?php
class ts_poll_function {
	/**
	 * The ID of this plugin.
	 *
	 * @since    1.7.0
	 * @access   private
	 * @var      string    $plugin_name    The ID of this plugin.
	 */
	private $plugin_name;
	/**
	 * The version of this plugin.
	 *
	 * @since    1.7.0
	 * @access   private
	 * @var      string    $version    The current version of this plugin.
	 */
	private $version;
	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.7.0
	 * @param      string $plugin_name       The name of the plugin.
	 * @param      string $version    The version of this plugin.
	 */
	public function __construct() {
		$this->ts_poll_fonts = array(
			'tsp_fonts'         => array(
				'tsp_emojies'     => array(
					'💯' => 'ts-poll-emoji ts-poll-emoji-100',
					'😀' => 'ts-poll-emoji ts-poll-emoji-grinning',
					'😬' => 'ts-poll-emoji ts-poll-emoji-grimacing',
					'😁' => 'ts-poll-emoji ts-poll-emoji-grin',
					'😂' => 'ts-poll-emoji ts-poll-emoji-joy',
					'🤣' => 'ts-poll-emoji ts-poll-emoji-rofl',
					'🥳' => 'ts-poll-emoji ts-poll-emoji-partying',
					'😃' => 'ts-poll-emoji ts-poll-emoji-smiley',
					'😄' => 'ts-poll-emoji ts-poll-emoji-smile',
					'😅' => 'ts-poll-emoji ts-poll-emoji-sweat-smile',
					'😆' => 'ts-poll-emoji ts-poll-emoji-laughing',
					'😇' => 'ts-poll-emoji ts-poll-emoji-innocent',
					'😉' => 'ts-poll-emoji ts-poll-emoji-wink',
					'😊' => 'ts-poll-emoji ts-poll-emoji-blush',
					'🙂' => 'ts-poll-emoji ts-poll-emoji-slightly-smiling-face',
					'🙃' => 'ts-poll-emoji ts-poll-emoji-upside-down-face',
					'😋' => 'ts-poll-emoji ts-poll-emoji-yum',
					'😌' => 'ts-poll-emoji ts-poll-emoji-relieved',
					'😍' => 'ts-poll-emoji ts-poll-emoji-heart-eyes',
					'🥰' => 'ts-poll-emoji ts-poll-emoji-smiling-face-with-three-hearts',
					'😘' => 'ts-poll-emoji ts-poll-emoji-kissing-heart',
					'😗' => 'ts-poll-emoji ts-poll-emoji-kissing',
					'😙' => 'ts-poll-emoji ts-poll-emoji-kissing-smiling-eyes',
					'😚' => 'ts-poll-emoji ts-poll-emoji-kissing-closed-eyes',
					'😜' => 'ts-poll-emoji ts-poll-emoji-stuck-out-tongue-winking-eye',
					'🤪' => 'ts-poll-emoji ts-poll-emoji-zany',
					'🤨' => 'ts-poll-emoji ts-poll-emoji-raised-eyebrow',
					'🧐' => 'ts-poll-emoji ts-poll-emoji-monocle',
					'😝' => 'ts-poll-emoji ts-poll-emoji-stuck-out-tongue-closed-eyes',
					'😛' => 'ts-poll-emoji ts-poll-emoji-stuck-out-tongue',
					'🤑' => 'ts-poll-emoji ts-poll-emoji-money-mouth-face',
					'🤓' => 'ts-poll-emoji ts-poll-emoji-nerd-face',
					'😎' => 'ts-poll-emoji ts-poll-emoji-sunglasses',
					'🤩' => 'ts-poll-emoji ts-poll-emoji-star-struck',
					'🤡' => 'ts-poll-emoji ts-poll-emoji-clown-face',
					'🤠' => 'ts-poll-emoji ts-poll-emoji-cowboy-hat-face',
					'🤗' => 'ts-poll-emoji ts-poll-emoji-hugs',
					'😏' => 'ts-poll-emoji ts-poll-emoji-smirk',
					'😶' => 'ts-poll-emoji ts-poll-emoji-no-mouth',
					'😐' => 'ts-poll-emoji ts-poll-emoji-neutral-face',
					'😑' => 'ts-poll-emoji ts-poll-emoji-expressionless',
					'😒' => 'ts-poll-emoji ts-poll-emoji-unamused',
					'🙄' => 'ts-poll-emoji ts-poll-emoji-roll-eyes',
					'🤔' => 'ts-poll-emoji ts-poll-emoji-thinking',
					'🤥' => 'ts-poll-emoji ts-poll-emoji-lying-face',
					'🤭' => 'ts-poll-emoji ts-poll-emoji-hand-over-mouth',
					'🤫' => 'ts-poll-emoji ts-poll-emoji-shushing',
					'🤬' => 'ts-poll-emoji ts-poll-emoji-symbols-over-mouth',
					'🤯' => 'ts-poll-emoji ts-poll-emoji-exploding-head',
					'😳' => 'ts-poll-emoji ts-poll-emoji-flushed',
					'😞' => 'ts-poll-emoji ts-poll-emoji-disappointed',
					'😟' => 'ts-poll-emoji ts-poll-emoji-worried',
					'😠' => 'ts-poll-emoji ts-poll-emoji-angry',
					'😡' => 'ts-poll-emoji ts-poll-emoji-rage',
					'😔' => 'ts-poll-emoji ts-poll-emoji-pensive',
					'😕' => 'ts-poll-emoji ts-poll-emoji-confused',
					'🙁' => 'ts-poll-emoji ts-poll-emoji-slightly-frowning-face',
					'😣' => 'ts-poll-emoji ts-poll-emoji-persevere',
					'😖' => 'ts-poll-emoji ts-poll-emoji-confounded',
					'😫' => 'ts-poll-emoji ts-poll-emoji-tired-face',
					'😩' => 'ts-poll-emoji ts-poll-emoji-weary',
					'🥺' => 'ts-poll-emoji ts-poll-emoji-pleading',
					'😤' => 'ts-poll-emoji ts-poll-emoji-triumph',
					'😮' => 'ts-poll-emoji ts-poll-emoji-open-mouth',
					'😱' => 'ts-poll-emoji ts-poll-emoji-scream',
					'😨' => 'ts-poll-emoji ts-poll-emoji-fearful',
					'😰' => 'ts-poll-emoji ts-poll-emoji-cold-sweat',
					'😯' => 'ts-poll-emoji ts-poll-emoji-hushed',
					'😦' => 'ts-poll-emoji ts-poll-emoji-frowning',
					'😧' => 'ts-poll-emoji ts-poll-emoji-anguished',
					'😢' => 'ts-poll-emoji ts-poll-emoji-cry',
					'😥' => 'ts-poll-emoji ts-poll-emoji-disappointed-relieved',
					'🤤' => 'ts-poll-emoji ts-poll-emoji-drooling-face',
					'😪' => 'ts-poll-emoji ts-poll-emoji-sleepy',
					'😓' => 'ts-poll-emoji ts-poll-emoji-sweat',
					'🥵' => 'ts-poll-emoji ts-poll-emoji-hot',
					'🥶' => 'ts-poll-emoji ts-poll-emoji-cold',
					'😭' => 'ts-poll-emoji ts-poll-emoji-sob',
					'😵' => 'ts-poll-emoji ts-poll-emoji-dizzy-face',
					'😲' => 'ts-poll-emoji ts-poll-emoji-astonished',
					'🤐' => 'ts-poll-emoji ts-poll-emoji-zipper-mouth-face',
					'🤢' => 'ts-poll-emoji ts-poll-emoji-nauseated-face',
					'🤧' => 'ts-poll-emoji ts-poll-emoji-sneezing-face',
					'🤮' => 'ts-poll-emoji ts-poll-emoji-vomiting',
					'😷' => 'ts-poll-emoji ts-poll-emoji-mask',
					'🤒' => 'ts-poll-emoji ts-poll-emoji-face-with-thermometer',
					'🤕' => 'ts-poll-emoji ts-poll-emoji-face-with-head-bandage',
					'🥴' => 'ts-poll-emoji ts-poll-emoji-woozy',
					'😴' => 'ts-poll-emoji ts-poll-emoji-sleeping',
					'👻' => 'ts-poll-emoji ts-poll-emoji-ghost',
					'👽' => 'ts-poll-emoji ts-poll-emoji-alien',
					'🤲' => 'ts-poll-emoji ts-poll-emoji-palms-up',
					'🙌' => 'ts-poll-emoji ts-poll-emoji-raised-hands',
					'👏' => 'ts-poll-emoji ts-poll-emoji-clap',
					'👋' => 'ts-poll-emoji ts-poll-emoji-wave',
					'🤙' => 'ts-poll-emoji ts-poll-emoji-call-me-hand',
					'👍' => 'ts-poll-emoji ts-poll-emoji-plus1',
					'👎' => 'ts-poll-emoji ts-poll-emoji--1',
					'👊' => 'ts-poll-emoji ts-poll-emoji-facepunch',
					'✊' => 'ts-poll-emoji ts-poll-emoji-fist',
					'🤛' => 'ts-poll-emoji ts-poll-emoji-fist-left',
					'🤜' => 'ts-poll-emoji ts-poll-emoji-fist-right',
					'✌' => 'ts-poll-emoji ts-poll-emoji-v',
					'👌' => 'ts-poll-emoji ts-poll-emoji-ok-hand',
					'✋' => 'ts-poll-emoji ts-poll-emoji-raised-hand',
					'🤚' => 'ts-poll-emoji ts-poll-emoji-raised-back-of-hand',
					'👐' => 'ts-poll-emoji ts-poll-emoji-open-hands',
					'💪' => 'ts-poll-emoji ts-poll-emoji-muscle',
					'🙏' => 'ts-poll-emoji ts-poll-emoji-pray',
					'🦶' => 'ts-poll-emoji ts-poll-emoji-foot',
					'🦵' => 'ts-poll-emoji ts-poll-emoji-leg',
					'🤝' => 'ts-poll-emoji ts-poll-emoji-handshake',
					'☝' => 'ts-poll-emoji ts-poll-emoji-point-up',
					'👆' => 'ts-poll-emoji ts-poll-emoji-point-up-2',
					'👇' => 'ts-poll-emoji ts-poll-emoji-point-down',
					'👈' => 'ts-poll-emoji ts-poll-emoji-point-left',
					'👉' => 'ts-poll-emoji ts-poll-emoji-point-right',
					'🖕' => 'ts-poll-emoji ts-poll-emoji-fu',
					'🖐' => 'ts-poll-emoji ts-poll-emoji-raised-hand-with-fingers-splayed',
					'🤟' => 'ts-poll-emoji ts-poll-emoji-love-you',
					'🤘' => 'ts-poll-emoji ts-poll-emoji-metal',
					'🤞' => 'ts-poll-emoji ts-poll-emoji-crossed-fingers',
					'🖖' => 'ts-poll-emoji ts-poll-emoji-vulcan-salute',
					'👀' => 'ts-poll-emoji ts-poll-emoji-eyes',
					'🧠' => 'ts-poll-emoji ts-poll-emoji-brain',
					'🗣' => 'ts-poll-emoji ts-poll-emoji-speaking-head',
					'👶' => 'ts-poll-emoji ts-poll-emoji-baby',
					'🧒' => 'ts-poll-emoji ts-poll-emoji-child',
					'👦' => 'ts-poll-emoji ts-poll-emoji-boy',
					'👧' => 'ts-poll-emoji ts-poll-emoji-girl',
					'🧑' => 'ts-poll-emoji ts-poll-emoji-adult',
					'👨' => 'ts-poll-emoji ts-poll-emoji-man',
					'👩' => 'ts-poll-emoji ts-poll-emoji-woman',
					'👱' => 'ts-poll-emoji ts-poll-emoji-blonde-man',
					'🧔' => 'ts-poll-emoji ts-poll-emoji-bearded-person',
					'🧓' => 'ts-poll-emoji ts-poll-emoji-older-adult',
					'👴' => 'ts-poll-emoji ts-poll-emoji-older-man',
					'👵' => 'ts-poll-emoji ts-poll-emoji-older-woman',
					'👲' => 'ts-poll-emoji ts-poll-emoji-man-with-gua-pi-mao',
					'🧕' => 'ts-poll-emoji ts-poll-emoji-woman-with-headscarf',
					'👳' => 'ts-poll-emoji ts-poll-emoji-man-with-turban',
					'👮' => 'ts-poll-emoji ts-poll-emoji-policeman',
					'👷' => 'ts-poll-emoji ts-poll-emoji-construction-worker-man',
					'🕵' => 'ts-poll-emoji ts-poll-emoji-male-detective',
					'👼' => 'ts-poll-emoji ts-poll-emoji-angel',
					'🤰' => 'ts-poll-emoji ts-poll-emoji-pregnant-woman',
					'🤱' => 'ts-poll-emoji ts-poll-emoji-breastfeeding',
					'👸' => 'ts-poll-emoji ts-poll-emoji-princess',
					'🤴' => 'ts-poll-emoji ts-poll-emoji-prince',
					'👰' => 'ts-poll-emoji ts-poll-emoji-bride-with-veil',
					'🤵' => 'ts-poll-emoji ts-poll-emoji-man-in-tuxedo',
					'🏃' => 'ts-poll-emoji ts-poll-emoji-running-man',
					'🚶' => 'ts-poll-emoji ts-poll-emoji-walking-man',
					'💃' => 'ts-poll-emoji ts-poll-emoji-dancer',
					'🕺' => 'ts-poll-emoji ts-poll-emoji-man-dancing',
					'👯' => 'ts-poll-emoji ts-poll-emoji-dancing-women',
					'👫' => 'ts-poll-emoji ts-poll-emoji-couple',
					'👬' => 'ts-poll-emoji ts-poll-emoji-two-men-holding-hands',
					'👭' => 'ts-poll-emoji ts-poll-emoji-two-women-holding-hands',
					'🙇' => 'ts-poll-emoji ts-poll-emoji-bowing-man',
					'🤷' => 'ts-poll-emoji ts-poll-emoji-woman-shrugging',
					'💁' => 'ts-poll-emoji ts-poll-emoji-tipping-hand-woman',
					'🙅' => 'ts-poll-emoji ts-poll-emoji-no-good-woman',
					'🙆' => 'ts-poll-emoji ts-poll-emoji-ok-woman',
					'🙋' => 'ts-poll-emoji ts-poll-emoji-raising-hand-woman',
					'🙎' => 'ts-poll-emoji ts-poll-emoji-pouting-woman',
					'🙍' => 'ts-poll-emoji ts-poll-emoji-frowning-woman',
					'💇' => 'ts-poll-emoji ts-poll-emoji-haircut-woman',
					'💆' => 'ts-poll-emoji ts-poll-emoji-massage-woman',
					'💑' => 'ts-poll-emoji ts-poll-emoji-couple-with-heart-woman-man',
					'💏' => 'ts-poll-emoji ts-poll-emoji-couplekiss-man-woman',
					'👪' => 'ts-poll-emoji ts-poll-emoji-family-man-woman-boy',
					'💋' => 'ts-poll-emoji ts-poll-emoji-kiss',
					'🎩' => 'ts-poll-emoji ts-poll-emoji-tophat',
					'🎓' => 'ts-poll-emoji ts-poll-emoji-mortar-board',
					'👑' => 'ts-poll-emoji ts-poll-emoji-crown',
					'💍' => 'ts-poll-emoji ts-poll-emoji-ring',
					'🐶' => 'ts-poll-emoji ts-poll-emoji-dog',
					'🐱' => 'ts-poll-emoji ts-poll-emoji-cat',
					'🐭' => 'ts-poll-emoji ts-poll-emoji-mouse',
					'🐹' => 'ts-poll-emoji ts-poll-emoji-hamster',
					'🐰' => 'ts-poll-emoji ts-poll-emoji-rabbit',
					'🦊' => 'ts-poll-emoji ts-poll-emoji-fox-face',
					'🐻' => 'ts-poll-emoji ts-poll-emoji-bear',
					'🐼' => 'ts-poll-emoji ts-poll-emoji-panda-face',
					'🐨' => 'ts-poll-emoji ts-poll-emoji-koala',
					'🐯' => 'ts-poll-emoji ts-poll-emoji-tiger',
					'🦁' => 'ts-poll-emoji ts-poll-emoji-lion',
					'🐮' => 'ts-poll-emoji ts-poll-emoji-cow',
					'🐷' => 'ts-poll-emoji ts-poll-emoji-pig',
					'🐸' => 'ts-poll-emoji ts-poll-emoji-frog',
					'🐵' => 'ts-poll-emoji ts-poll-emoji-monkey-face',
					'🙈' => 'ts-poll-emoji ts-poll-emoji-see-no-evil',
					'🙉' => 'ts-poll-emoji ts-poll-emoji-hear-no-evil',
					'🙊' => 'ts-poll-emoji ts-poll-emoji-speak-no-evil',
					'🐒' => 'ts-poll-emoji ts-poll-emoji-monkey',
					'🐔' => 'ts-poll-emoji ts-poll-emoji-chicken',
					'🐧' => 'ts-poll-emoji ts-poll-emoji-penguin',
					'🐦' => 'ts-poll-emoji ts-poll-emoji-bird',
					'🐤' => 'ts-poll-emoji ts-poll-emoji-baby-chick',
					'🐣' => 'ts-poll-emoji ts-poll-emoji-hatching-chick',
					'🐥' => 'ts-poll-emoji ts-poll-emoji-hatched-chick',
					'🦆' => 'ts-poll-emoji ts-poll-emoji-duck',
					'🦅' => 'ts-poll-emoji ts-poll-emoji-eagle',
					'🦉' => 'ts-poll-emoji ts-poll-emoji-owl',
					'🦇' => 'ts-poll-emoji ts-poll-emoji-bat',
					'🐺' => 'ts-poll-emoji ts-poll-emoji-wolf',
					'🐗' => 'ts-poll-emoji ts-poll-emoji-boar',
					'🐴' => 'ts-poll-emoji ts-poll-emoji-horse',
					'🦄' => 'ts-poll-emoji ts-poll-emoji-unicorn',
					'🐝' => 'ts-poll-emoji ts-poll-emoji-honeybee',
					'🐛' => 'ts-poll-emoji ts-poll-emoji-bug',
					'🦋' => 'ts-poll-emoji ts-poll-emoji-butterfly',
					'🐌' => 'ts-poll-emoji ts-poll-emoji-snail',
					'🐞' => 'ts-poll-emoji ts-poll-emoji-beetle',
					'🐜' => 'ts-poll-emoji ts-poll-emoji-ant',
					'🦗' => 'ts-poll-emoji ts-poll-emoji-grasshopper',
					'🕷' => 'ts-poll-emoji ts-poll-emoji-spider',
					'🦂' => 'ts-poll-emoji ts-poll-emoji-scorpion',
					'🦀' => 'ts-poll-emoji ts-poll-emoji-crab',
					'🐍' => 'ts-poll-emoji ts-poll-emoji-snake',
					'🦎' => 'ts-poll-emoji ts-poll-emoji-lizard',
					'🦖' => 'ts-poll-emoji ts-poll-emoji-t-rex',
					'🦕' => 'ts-poll-emoji ts-poll-emoji-sauropod',
					'🐢' => 'ts-poll-emoji ts-poll-emoji-turtle',
					'🐠' => 'ts-poll-emoji ts-poll-emoji-tropical-fish',
					'🐟' => 'ts-poll-emoji ts-poll-emoji-fish',
					'🐡' => 'ts-poll-emoji ts-poll-emoji-blowfish',
					'🐬' => 'ts-poll-emoji ts-poll-emoji-dolphin',
					'🦈' => 'ts-poll-emoji ts-poll-emoji-shark',
					'🐳' => 'ts-poll-emoji ts-poll-emoji-whale',
					'🐋' => 'ts-poll-emoji ts-poll-emoji-whale2',
					'🐊' => 'ts-poll-emoji ts-poll-emoji-crocodile',
					'🐆' => 'ts-poll-emoji ts-poll-emoji-leopard',
					'🦓' => 'ts-poll-emoji ts-poll-emoji-zebra',
					'🐅' => 'ts-poll-emoji ts-poll-emoji-tiger2',
					'🐃' => 'ts-poll-emoji ts-poll-emoji-water-buffalo',
					'🐂' => 'ts-poll-emoji ts-poll-emoji-ox',
					'🐄' => 'ts-poll-emoji ts-poll-emoji-cow2',
					'🦌' => 'ts-poll-emoji ts-poll-emoji-deer',
					'🐪' => 'ts-poll-emoji ts-poll-emoji-dromedary-camel',
					'🐫' => 'ts-poll-emoji ts-poll-emoji-camel',
					'🦒' => 'ts-poll-emoji ts-poll-emoji-giraffe',
					'🐘' => 'ts-poll-emoji ts-poll-emoji-elephant',
					'🦏' => 'ts-poll-emoji ts-poll-emoji-rhinoceros',
					'🐐' => 'ts-poll-emoji ts-poll-emoji-goat',
					'🐏' => 'ts-poll-emoji ts-poll-emoji-ram',
					'🐑' => 'ts-poll-emoji ts-poll-emoji-sheep',
					'🐎' => 'ts-poll-emoji ts-poll-emoji-racehorse',
					'🐖' => 'ts-poll-emoji ts-poll-emoji-pig2',
					'🐀' => 'ts-poll-emoji ts-poll-emoji-rat',
					'🐁' => 'ts-poll-emoji ts-poll-emoji-mouse2',
					'🐓' => 'ts-poll-emoji ts-poll-emoji-rooster',
					'🦃' => 'ts-poll-emoji ts-poll-emoji-turkey',
					'🕊' => 'ts-poll-emoji ts-poll-emoji-dove',
					'🐕' => 'ts-poll-emoji ts-poll-emoji-dog2',
					'🐩' => 'ts-poll-emoji ts-poll-emoji-poodle',
					'🐈' => 'ts-poll-emoji ts-poll-emoji-cat2',
					'🐇' => 'ts-poll-emoji ts-poll-emoji-rabbit2',
					'🐿' => 'ts-poll-emoji ts-poll-emoji-chipmunk',
					'🦔' => 'ts-poll-emoji ts-poll-emoji-hedgehog',
					'🦝' => 'ts-poll-emoji ts-poll-emoji-raccoon',
					'🦙' => 'ts-poll-emoji ts-poll-emoji-llama',
					'🦛' => 'ts-poll-emoji ts-poll-emoji-hippopotamus',
					'🦘' => 'ts-poll-emoji ts-poll-emoji-kangaroo',
					'🦡' => 'ts-poll-emoji ts-poll-emoji-badger',
					'🦢' => 'ts-poll-emoji ts-poll-emoji-swan',
					'🦚' => 'ts-poll-emoji ts-poll-emoji-peacock',
					'🦜' => 'ts-poll-emoji ts-poll-emoji-parrot',
					'🦞' => 'ts-poll-emoji ts-poll-emoji-lobster',
					'🦟' => 'ts-poll-emoji ts-poll-emoji-mosquito',
					'🐾' => 'ts-poll-emoji ts-poll-emoji-paw-prints',
					'🌵' => 'ts-poll-emoji ts-poll-emoji-cactus',
					'🌲' => 'ts-poll-emoji ts-poll-emoji-evergreen-tree',
					'🌳' => 'ts-poll-emoji ts-poll-emoji-deciduous-tree',
					'🌴' => 'ts-poll-emoji ts-poll-emoji-palm-tree',
					'🌱' => 'ts-poll-emoji ts-poll-emoji-seedling',
					'🌿' => 'ts-poll-emoji ts-poll-emoji-herb',
					'🍀' => 'ts-poll-emoji ts-poll-emoji-four-leaf-clover',
					'🎍' => 'ts-poll-emoji ts-poll-emoji-bamboo',
					'🎋' => 'ts-poll-emoji ts-poll-emoji-tanabata-tree',
					'🍃' => 'ts-poll-emoji ts-poll-emoji-leaves',
					'🍂' => 'ts-poll-emoji ts-poll-emoji-fallen-leaf',
					'🍁' => 'ts-poll-emoji ts-poll-emoji-maple-leaf',
					'🌾' => 'ts-poll-emoji ts-poll-emoji-ear-of-rice',
					'🌺' => 'ts-poll-emoji ts-poll-emoji-hibiscus',
					'🌻' => 'ts-poll-emoji ts-poll-emoji-sunflower',
					'🌹' => 'ts-poll-emoji ts-poll-emoji-rose',
					'🥀' => 'ts-poll-emoji ts-poll-emoji-wilted-flower',
					'🌷' => 'ts-poll-emoji ts-poll-emoji-tulip',
					'🌼' => 'ts-poll-emoji ts-poll-emoji-blossom',
					'🌸' => 'ts-poll-emoji ts-poll-emoji-cherry-blossom',
					'💐' => 'ts-poll-emoji ts-poll-emoji-bouquet',
					'🍄' => 'ts-poll-emoji ts-poll-emoji-mushroom',
					'🌰' => 'ts-poll-emoji ts-poll-emoji-chestnut',
					'🎃' => 'ts-poll-emoji ts-poll-emoji-jack-o-lantern',
					'🌎' => 'ts-poll-emoji ts-poll-emoji-earth-americas',
					'🌍' => 'ts-poll-emoji ts-poll-emoji-earth-africa',
					'🌏' => 'ts-poll-emoji ts-poll-emoji-earth-asia',
					'🌕' => 'ts-poll-emoji ts-poll-emoji-full-moon',
					'🌚' => 'ts-poll-emoji ts-poll-emoji-new-moon-with-face',
					'🌝' => 'ts-poll-emoji ts-poll-emoji-full-moon-with-face',
					'🌞' => 'ts-poll-emoji ts-poll-emoji-sun-with-face',
					'🌙' => 'ts-poll-emoji ts-poll-emoji-crescent-moon',
					'⭐' => 'ts-poll-emoji ts-poll-emoji-star',
					'🌟' => 'ts-poll-emoji ts-poll-emoji-star2',
					'⚡' => 'ts-poll-emoji ts-poll-emoji-zap',
					'🔥' => 'ts-poll-emoji ts-poll-emoji-fire',
					'💥' => 'ts-poll-emoji ts-poll-emoji-boom',
					'🍏' => 'ts-poll-emoji ts-poll-emoji-green-apple',
					'🍎' => 'ts-poll-emoji ts-poll-emoji-apple',
					'🍐' => 'ts-poll-emoji ts-poll-emoji-pear',
					'🍊' => 'ts-poll-emoji ts-poll-emoji-tangerine',
					'🍋' => 'ts-poll-emoji ts-poll-emoji-lemon',
					'🍌' => 'ts-poll-emoji ts-poll-emoji-banana',
					'🍉' => 'ts-poll-emoji ts-poll-emoji-watermelon',
					'🍇' => 'ts-poll-emoji ts-poll-emoji-grapes',
					'🍓' => 'ts-poll-emoji ts-poll-emoji-strawberry',
					'🍈' => 'ts-poll-emoji ts-poll-emoji-melon',
					'🍒' => 'ts-poll-emoji ts-poll-emoji-cherries',
					'🍑' => 'ts-poll-emoji ts-poll-emoji-peach',
					'🍍' => 'ts-poll-emoji ts-poll-emoji-pineapple',
					'🥥' => 'ts-poll-emoji ts-poll-emoji-coconut',
					'🥝' => 'ts-poll-emoji ts-poll-emoji-kiwi-fruit',
					'🥭' => 'ts-poll-emoji ts-poll-emoji-mango',
					'🥑' => 'ts-poll-emoji ts-poll-emoji-avocado',
					'🥦' => 'ts-poll-emoji ts-poll-emoji-broccoli',
					'🍅' => 'ts-poll-emoji ts-poll-emoji-tomato',
					'🍆' => 'ts-poll-emoji ts-poll-emoji-eggplant',
					'🥒' => 'ts-poll-emoji ts-poll-emoji-cucumber',
					'🥕' => 'ts-poll-emoji ts-poll-emoji-carrot',
					'🌶' => 'ts-poll-emoji ts-poll-emoji-hot-pepper',
					'🥔' => 'ts-poll-emoji ts-poll-emoji-potato',
					'🌽' => 'ts-poll-emoji ts-poll-emoji-corn',
					'🥬' => 'ts-poll-emoji ts-poll-emoji-leafy-greens',
					'🍠' => 'ts-poll-emoji ts-poll-emoji-sweet-potato',
					'🥜' => 'ts-poll-emoji ts-poll-emoji-peanuts',
					'🍯' => 'ts-poll-emoji ts-poll-emoji-honey-pot',
					'🥐' => 'ts-poll-emoji ts-poll-emoji-croissant',
					'🍞' => 'ts-poll-emoji ts-poll-emoji-bread',
					'🥖' => 'ts-poll-emoji ts-poll-emoji-baguette-bread',
					'🥯' => 'ts-poll-emoji ts-poll-emoji-bagel',
					'🥨' => 'ts-poll-emoji ts-poll-emoji-pretzel',
					'🧀' => 'ts-poll-emoji ts-poll-emoji-cheese',
					'🥚' => 'ts-poll-emoji ts-poll-emoji-egg',
					'🥓' => 'ts-poll-emoji ts-poll-emoji-bacon',
					'🥩' => 'ts-poll-emoji ts-poll-emoji-steak',
					'🥞' => 'ts-poll-emoji ts-poll-emoji-pancakes',
					'🍗' => 'ts-poll-emoji ts-poll-emoji-poultry-leg',
					'🍖' => 'ts-poll-emoji ts-poll-emoji-meat-on-bone',
					'🦴' => 'ts-poll-emoji ts-poll-emoji-bone',
					'🍤' => 'ts-poll-emoji ts-poll-emoji-fried-shrimp',
					'🍳' => 'ts-poll-emoji ts-poll-emoji-fried-egg',
					'🍔' => 'ts-poll-emoji ts-poll-emoji-hamburger',
					'🍟' => 'ts-poll-emoji ts-poll-emoji-fries',
					'🥙' => 'ts-poll-emoji ts-poll-emoji-stuffed-flatbread',
					'🌭' => 'ts-poll-emoji ts-poll-emoji-hotdog',
					'🍕' => 'ts-poll-emoji ts-poll-emoji-pizza',
					'🥪' => 'ts-poll-emoji ts-poll-emoji-sandwich',
					'🥫' => 'ts-poll-emoji ts-poll-emoji-canned-food',
					'🍝' => 'ts-poll-emoji ts-poll-emoji-spaghetti',
					'🌮' => 'ts-poll-emoji ts-poll-emoji-taco',
					'🌯' => 'ts-poll-emoji ts-poll-emoji-burrito',
					'🥗' => 'ts-poll-emoji ts-poll-emoji-green-salad',
					'🥘' => 'ts-poll-emoji ts-poll-emoji-shallow-pan-of-food',
					'🍜' => 'ts-poll-emoji ts-poll-emoji-ramen',
					'🍲' => 'ts-poll-emoji ts-poll-emoji-stew',
					'🍥' => 'ts-poll-emoji ts-poll-emoji-fish-cake',
					'🥠' => 'ts-poll-emoji ts-poll-emoji-fortune-cookie',
					'🍣' => 'ts-poll-emoji ts-poll-emoji-sushi',
					'🍱' => 'ts-poll-emoji ts-poll-emoji-bento',
					'🍛' => 'ts-poll-emoji ts-poll-emoji-curry',
					'🍙' => 'ts-poll-emoji ts-poll-emoji-rice-ball',
					'🍚' => 'ts-poll-emoji ts-poll-emoji-rice',
					'🍘' => 'ts-poll-emoji ts-poll-emoji-rice-cracker',
					'🍢' => 'ts-poll-emoji ts-poll-emoji-oden',
					'🍡' => 'ts-poll-emoji ts-poll-emoji-dango',
					'🍧' => 'ts-poll-emoji ts-poll-emoji-shaved-ice',
					'🍨' => 'ts-poll-emoji ts-poll-emoji-ice-cream',
					'🍦' => 'ts-poll-emoji ts-poll-emoji-icecream',
					'🥧' => 'ts-poll-emoji ts-poll-emoji-pie',
					'🍰' => 'ts-poll-emoji ts-poll-emoji-cake',
					'🧁' => 'ts-poll-emoji ts-poll-emoji-cupcake',
					'🥮' => 'ts-poll-emoji ts-poll-emoji-moon-cake',
					'🎂' => 'ts-poll-emoji ts-poll-emoji-birthday',
					'🍮' => 'ts-poll-emoji ts-poll-emoji-custard',
					'🍬' => 'ts-poll-emoji ts-poll-emoji-candy',
					'🍭' => 'ts-poll-emoji ts-poll-emoji-lollipop',
					'🍫' => 'ts-poll-emoji ts-poll-emoji-chocolate-bar',
					'🍿' => 'ts-poll-emoji ts-poll-emoji-popcorn',
					'🥟' => 'ts-poll-emoji ts-poll-emoji-dumpling',
					'🍩' => 'ts-poll-emoji ts-poll-emoji-doughnut',
					'🍪' => 'ts-poll-emoji ts-poll-emoji-cookie',
					'⚽' => 'ts-poll-emoji ts-poll-emoji-soccer',
					'🏀' => 'ts-poll-emoji ts-poll-emoji-basketball',
					'⚾' => 'ts-poll-emoji ts-poll-emoji-baseball',
					'🥎' => 'ts-poll-emoji ts-poll-emoji-softball',
					'🏐' => 'ts-poll-emoji ts-poll-emoji-volleyball',
					'🎱' => 'ts-poll-emoji ts-poll-emoji-8ball',
					'🏆' => 'ts-poll-emoji ts-poll-emoji-trophy',
					'🏅' => 'ts-poll-emoji ts-poll-emoji-medal-sports',
					'🥇' => 'ts-poll-emoji ts-poll-emoji-1st-place-medal',
					'🥈' => 'ts-poll-emoji ts-poll-emoji-2nd-place-medal',
					'🥉' => 'ts-poll-emoji ts-poll-emoji-3rd-place-medal',
					'🎬' => 'ts-poll-emoji ts-poll-emoji-clapper',
					'🎯' => 'ts-poll-emoji ts-poll-emoji-dart',
					'🚀' => 'ts-poll-emoji ts-poll-emoji-rocket',
					'🚦' => 'ts-poll-emoji ts-poll-emoji-vertical-traffic-light',
					'🚥' => 'ts-poll-emoji ts-poll-emoji-traffic-light',
					'🏁' => 'ts-poll-emoji ts-poll-emoji-checkered-flag',
					'🎇' => 'ts-poll-emoji ts-poll-emoji-sparkler',
					'🎆' => 'ts-poll-emoji ts-poll-emoji-fireworks',
					'💻' => 'ts-poll-emoji ts-poll-emoji-computer',
					'📷' => 'ts-poll-emoji ts-poll-emoji-camera',
					'📸' => 'ts-poll-emoji ts-poll-emoji-camera-flash',
					'📹' => 'ts-poll-emoji ts-poll-emoji-video-camera',
					'🎥' => 'ts-poll-emoji ts-poll-emoji-movie-camera',
					'📽' => 'ts-poll-emoji ts-poll-emoji-film-projector',
					'🎞' => 'ts-poll-emoji ts-poll-emoji-film-strip',
					'⏳' => 'ts-poll-emoji ts-poll-emoji-hourglass-flowing-sand',
					'⌛' => 'ts-poll-emoji ts-poll-emoji-hourglass',
					'💡' => 'ts-poll-emoji ts-poll-emoji-bulb',
					'🛢' => 'ts-poll-emoji ts-poll-emoji-oil-drum',
					'💸' => 'ts-poll-emoji ts-poll-emoji-money-with-wings',
					'💵' => 'ts-poll-emoji ts-poll-emoji-dollar',
					'💴' => 'ts-poll-emoji ts-poll-emoji-yen',
					'💶' => 'ts-poll-emoji ts-poll-emoji-euro',
					'💷' => 'ts-poll-emoji ts-poll-emoji-pound',
					'💰' => 'ts-poll-emoji ts-poll-emoji-moneybag',
					'💳' => 'ts-poll-emoji ts-poll-emoji-credit-card',
					'💎' => 'ts-poll-emoji ts-poll-emoji-gem',
					'💣' => 'ts-poll-emoji ts-poll-emoji-bomb',
					'🧨' => 'ts-poll-emoji ts-poll-emoji-firecracker',
					'🚬' => 'ts-poll-emoji ts-poll-emoji-smoking',
					'🧿' => 'ts-poll-emoji ts-poll-emoji-nazar-amulet',
					'🔑' => 'ts-poll-emoji ts-poll-emoji-key',
					'🧸' => 'ts-poll-emoji ts-poll-emoji-teddy-bear',
					'🗺' => 'ts-poll-emoji ts-poll-emoji-world-map',
					'🗿' => 'ts-poll-emoji ts-poll-emoji-moyai',
					'🛒' => 'ts-poll-emoji ts-poll-emoji-shopping-cart',
					'🎈' => 'ts-poll-emoji ts-poll-emoji-balloon',
					'🎀' => 'ts-poll-emoji ts-poll-emoji-ribbon',
					'🎁' => 'ts-poll-emoji ts-poll-emoji-gift',
					'💌' => 'ts-poll-emoji ts-poll-emoji-love-letter',
					'📥' => 'ts-poll-emoji ts-poll-emoji-inbox-tray',
					'📤' => 'ts-poll-emoji ts-poll-emoji-outbox-tray',
					'📊' => 'ts-poll-emoji ts-poll-emoji-bar-chart',
					'📈' => 'ts-poll-emoji ts-poll-emoji-chart-with-upwards-trend',
					'📉' => 'ts-poll-emoji ts-poll-emoji-chart-with-downwards-trend',
					'📅' => 'ts-poll-emoji ts-poll-emoji-date',
					'📆' => 'ts-poll-emoji ts-poll-emoji-calendar',
					'🔗' => 'ts-poll-emoji ts-poll-emoji-link',
					'📎' => 'ts-poll-emoji ts-poll-emoji-paperclip',
					'📌' => 'ts-poll-emoji ts-poll-emoji-pushpin',
					'🚩' => 'ts-poll-emoji ts-poll-emoji-triangular-flag-on-post',
					'🔐' => 'ts-poll-emoji ts-poll-emoji-closed-lock-with-key',
					'🔒' => 'ts-poll-emoji ts-poll-emoji-lock',
					'🔓' => 'ts-poll-emoji ts-poll-emoji-unlock',
					'🔏' => 'ts-poll-emoji ts-poll-emoji-lock-with-ink-pen',
					'📝' => 'ts-poll-emoji ts-poll-emoji-memo',
					'🔍' => 'ts-poll-emoji ts-poll-emoji-mag',
					'🔎' => 'ts-poll-emoji ts-poll-emoji-mag-right',
					'🧡' => 'ts-poll-emoji ts-poll-emoji-orange-heart',
					'💛' => 'ts-poll-emoji ts-poll-emoji-yellow-heart',
					'💚' => 'ts-poll-emoji ts-poll-emoji-green-heart',
					'💙' => 'ts-poll-emoji ts-poll-emoji-blue-heart',
					'💜' => 'ts-poll-emoji ts-poll-emoji-purple-heart',
					'🖤' => 'ts-poll-emoji ts-poll-emoji-black-heart',
					'💔' => 'ts-poll-emoji ts-poll-emoji-broken-heart',
					'💕' => 'ts-poll-emoji ts-poll-emoji-two-hearts',
					'💞' => 'ts-poll-emoji ts-poll-emoji-revolving-hearts',
					'💓' => 'ts-poll-emoji ts-poll-emoji-heartbeat',
					'💗' => 'ts-poll-emoji ts-poll-emoji-heartpulse',
					'💖' => 'ts-poll-emoji ts-poll-emoji-sparkling-heart',
					'💘' => 'ts-poll-emoji ts-poll-emoji-cupid',
					'💝' => 'ts-poll-emoji ts-poll-emoji-gift-heart',
					'💟' => 'ts-poll-emoji ts-poll-emoji-heart-decoration',
					'🆚' => 'ts-poll-emoji ts-poll-emoji-vs',
					'💮' => 'ts-poll-emoji ts-poll-emoji-white-flower',
					'🆘' => 'ts-poll-emoji ts-poll-emoji-sos',
					'⛔' => 'ts-poll-emoji ts-poll-emoji-no-entry',
					'🚫' => 'ts-poll-emoji ts-poll-emoji-no-entry-sign',
					'❌' => 'ts-poll-emoji ts-poll-emoji-x',
					'⭕' => 'ts-poll-emoji ts-poll-emoji-o',
					'🛑' => 'ts-poll-emoji ts-poll-emoji-stop-sign',
					'💢' => 'ts-poll-emoji ts-poll-emoji-anger',
					'🔞' => 'ts-poll-emoji ts-poll-emoji-underage',
					'📵' => 'ts-poll-emoji ts-poll-emoji-no-mobile-phones',
					'❗' => 'ts-poll-emoji ts-poll-emoji-exclamation',
					'❕' => 'ts-poll-emoji ts-poll-emoji-grey-exclamation',
					'❓' => 'ts-poll-emoji ts-poll-emoji-question',
					'❔' => 'ts-poll-emoji ts-poll-emoji-grey-question',
					'💹' => 'ts-poll-emoji ts-poll-emoji-chart',
					'❎' => 'ts-poll-emoji ts-poll-emoji-negative-squared-cross-mark',
					'✅' => 'ts-poll-emoji ts-poll-emoji-white-check-mark',
					'🚹' => 'ts-poll-emoji ts-poll-emoji-mens',
					'🚺' => 'ts-poll-emoji ts-poll-emoji-womens',
					'🎦' => 'ts-poll-emoji ts-poll-emoji-cinema',
					'🆙' => 'ts-poll-emoji ts-poll-emoji-up',
					'🆒' => 'ts-poll-emoji ts-poll-emoji-cool',
					'🆕' => 'ts-poll-emoji ts-poll-emoji-new',
					'🆓' => 'ts-poll-emoji ts-poll-emoji-free',
					'⏹' => 'ts-poll-emoji ts-poll-emoji-stop-button',
					'⏺' => 'ts-poll-emoji ts-poll-emoji-record-button',
					'🔄' => 'ts-poll-emoji ts-poll-emoji-arrows-counterclockwise',
					'🎵' => 'ts-poll-emoji ts-poll-emoji-musical-note',
					'🎶' => 'ts-poll-emoji ts-poll-emoji-notes',
					'➕' => 'ts-poll-emoji ts-poll-emoji-heavy-plus-sign',
					'➖' => 'ts-poll-emoji ts-poll-emoji-heavy-minus-sign',
					'➗' => 'ts-poll-emoji ts-poll-emoji-heavy-division-sign',
					'♾' => 'ts-poll-emoji ts-poll-emoji-infinity',
					'💲' => 'ts-poll-emoji ts-poll-emoji-heavy-dollar-sign',
					'💱' => 'ts-poll-emoji ts-poll-emoji-currency-exchange',
					'🔚' => 'ts-poll-emoji ts-poll-emoji-end',
					'🔙' => 'ts-poll-emoji ts-poll-emoji-back',
					'🔛' => 'ts-poll-emoji ts-poll-emoji-on',
					'🔝' => 'ts-poll-emoji ts-poll-emoji-top',
					'🔜' => 'ts-poll-emoji ts-poll-emoji-soon',
					'🔘' => 'ts-poll-emoji ts-poll-emoji-radio-button',
					'⚪' => 'ts-poll-emoji ts-poll-emoji-white-circle',
					'⚫' => 'ts-poll-emoji ts-poll-emoji-black-circle',
					'🔴' => 'ts-poll-emoji ts-poll-emoji-red-circle',
					'🔵' => 'ts-poll-emoji ts-poll-emoji-large-blue-circle',
					'🔶' => 'ts-poll-emoji ts-poll-emoji-large-orange-diamond',
					'🔷' => 'ts-poll-emoji ts-poll-emoji-large-blue-diamond',
					'🔺' => 'ts-poll-emoji ts-poll-emoji-small-red-triangle',
					'⬛' => 'ts-poll-emoji ts-poll-emoji-black-large-square',
					'⬜' => 'ts-poll-emoji ts-poll-emoji-white-large-square',
					'🔻' => 'ts-poll-emoji ts-poll-emoji-small-red-triangle-down',
					'🔲' => 'ts-poll-emoji ts-poll-emoji-black-square-button',
					'🔳' => 'ts-poll-emoji ts-poll-emoji-white-square-button',
					'🔈' => 'ts-poll-emoji ts-poll-emoji-speaker',
					'🔉' => 'ts-poll-emoji ts-poll-emoji-sound',
					'🔊' => 'ts-poll-emoji ts-poll-emoji-loud-sound',
					'🔇' => 'ts-poll-emoji ts-poll-emoji-mute',
					'📣' => 'ts-poll-emoji ts-poll-emoji-mega',
					'📢' => 'ts-poll-emoji ts-poll-emoji-loudspeaker',
					'🔔' => 'ts-poll-emoji ts-poll-emoji-bell',
					'🔕' => 'ts-poll-emoji ts-poll-emoji-no-bell',
					'💭' => 'ts-poll-emoji ts-poll-emoji-thought-balloon',
					'🗯' => 'ts-poll-emoji ts-poll-emoji-right-anger-bubble',
					'💬' => 'ts-poll-emoji ts-poll-emoji-speech-balloon',
					'🗨' => 'ts-poll-emoji ts-poll-emoji-left-speech-bubble',

				),
				'tsp_fontawesome' => array(
					'f26e' => 'ts-poll ts-poll-500px',
					'f042' => 'ts-poll ts-poll-adjust',
					'f170' => 'ts-poll ts-poll-adn',
					'f037' => 'ts-poll ts-poll-align-center',
					'f039' => 'ts-poll ts-poll-align-justify',
					'f036' => 'ts-poll ts-poll-align-left',
					'f038' => 'ts-poll ts-poll-align-right',
					'f270' => 'ts-poll ts-poll-amazon',
					'f0f9' => 'ts-poll ts-poll-ambulance',
					'f2a3' => 'ts-poll ts-poll-american-sign-language-interpreting',
					'f13d' => 'ts-poll ts-poll-anchor',
					'f17b' => 'ts-poll ts-poll-android',
					'f209' => 'ts-poll ts-poll-angellist',
					'f103' => 'ts-poll ts-poll-angle-double-down',
					'f100' => 'ts-poll ts-poll-angle-double-left',
					'f101' => 'ts-poll ts-poll-angle-double-right',
					'f102' => 'ts-poll ts-poll-angle-double-up',
					'f107' => 'ts-poll ts-poll-angle-down',
					'f104' => 'ts-poll ts-poll-angle-left',
					'f105' => 'ts-poll ts-poll-angle-right',
					'f106' => 'ts-poll ts-poll-angle-up',
					'f179' => 'ts-poll ts-poll-apple',
					'f187' => 'ts-poll ts-poll-archive',
					'f1fe' => 'ts-poll ts-poll-area-chart',
					'f0ab' => 'ts-poll ts-poll-arrow-circle-down',
					'f0a8' => 'ts-poll ts-poll-arrow-circle-left',
					'f01a' => 'ts-poll ts-poll-arrow-circle-o-down',
					'f190' => 'ts-poll ts-poll-arrow-circle-o-left',
					'f18e' => 'ts-poll ts-poll-arrow-circle-o-right',
					'f01b' => 'ts-poll ts-poll-arrow-circle-o-up',
					'f0a9' => 'ts-poll ts-poll-arrow-circle-right',
					'f0aa' => 'ts-poll ts-poll-arrow-circle-up',
					'f063' => 'ts-poll ts-poll-arrow-down',
					'f060' => 'ts-poll ts-poll-arrow-left',
					'f061' => 'ts-poll ts-poll-arrow-right',
					'f062' => 'ts-poll ts-poll-arrow-up',
					'f047' => 'ts-poll ts-poll-arrows',
					'f0b2' => 'ts-poll ts-poll-arrows-alt',
					'f07e' => 'ts-poll ts-poll-arrows-h',
					'f07d' => 'ts-poll ts-poll-arrows-v',
					'f2a2' => 'ts-poll ts-poll-assistive-listening-systems',
					'f069' => 'ts-poll ts-poll-asterisk',
					'f1fa' => 'ts-poll ts-poll-at',
					'f29e' => 'ts-poll ts-poll-audio-description',
					'f04a' => 'ts-poll ts-poll-backward',
					'f24e' => 'ts-poll ts-poll-balance-scale',
					'f080' => 'ts-poll ts-poll-bar-chart',
					'f02a' => 'ts-poll ts-poll-barcode',
					'f0c9' => 'ts-poll ts-poll-bars',
					'f244' => 'ts-poll ts-poll-battery-empty',
					'f240' => 'ts-poll ts-poll-battery-full',
					'f242' => 'ts-poll ts-poll-battery-half',
					'f243' => 'ts-poll ts-poll-battery-quarter',
					'f241' => 'ts-poll ts-poll-battery-three-quarters',
					'f236' => 'ts-poll ts-poll-bed',
					'f0fc' => 'ts-poll ts-poll-beer',
					'f1b4' => 'ts-poll ts-poll-behance',
					'f1b5' => 'ts-poll ts-poll-behance-square',
					'f0f3' => 'ts-poll ts-poll-bell',
					'f0a2' => 'ts-poll ts-poll-bell-o',
					'f1f6' => 'ts-poll ts-poll-bell-slash',
					'f1f7' => 'ts-poll ts-poll-bell-slash-o',
					'f206' => 'ts-poll ts-poll-bicycle',
					'f1e5' => 'ts-poll ts-poll-binoculars',
					'f1fd' => 'ts-poll ts-poll-birthday-cake',
					'f171' => 'ts-poll ts-poll-bitbucket',
					'f172' => 'ts-poll ts-poll-bitbucket-square',
					'f27e' => 'ts-poll ts-poll-black-tie',
					'f29d' => 'ts-poll ts-poll-blind',
					'f293' => 'ts-poll ts-poll-bluetooth',
					'f294' => 'ts-poll ts-poll-bluetooth-b',
					'f032' => 'ts-poll ts-poll-bold',
					'f0e7' => 'ts-poll ts-poll-bolt',
					'f1e2' => 'ts-poll ts-poll-bomb',
					'f02d' => 'ts-poll ts-poll-book',
					'f02e' => 'ts-poll ts-poll-bookmark',
					'f097' => 'ts-poll ts-poll-bookmark-o',
					'f2a1' => 'ts-poll ts-poll-braille',
					'f0b1' => 'ts-poll ts-poll-briefcase',
					'f15a' => 'ts-poll ts-poll-btc',
					'f188' => 'ts-poll ts-poll-bug',
					'f1ad' => 'ts-poll ts-poll-building',
					'f0f7' => 'ts-poll ts-poll-building-o',
					'f0a1' => 'ts-poll ts-poll-bullhorn',
					'f140' => 'ts-poll ts-poll-bullseye',
					'f207' => 'ts-poll ts-poll-bus',
					'f20d' => 'ts-poll ts-poll-buysellads',
					'f1ec' => 'ts-poll ts-poll-calculator',
					'f073' => 'ts-poll ts-poll-calendar',
					'f274' => 'ts-poll ts-poll-calendar-check-o',
					'f272' => 'ts-poll ts-poll-calendar-minus-o',
					'f133' => 'ts-poll ts-poll-calendar-o',
					'f271' => 'ts-poll ts-poll-calendar-plus-o',
					'f273' => 'ts-poll ts-poll-calendar-times-o',
					'f030' => 'ts-poll ts-poll-camera',
					'f083' => 'ts-poll ts-poll-camera-retro',
					'f1b9' => 'ts-poll ts-poll-car',
					'f0d7' => 'ts-poll ts-poll-caret-down',
					'f0d9' => 'ts-poll ts-poll-caret-left',
					'f0da' => 'ts-poll ts-poll-caret-right',
					'f150' => 'ts-poll ts-poll-caret-square-o-down',
					'f191' => 'ts-poll ts-poll-caret-square-o-left',
					'f152' => 'ts-poll ts-poll-caret-square-o-right',
					'f151' => 'ts-poll ts-poll-caret-square-o-up',
					'f0d8' => 'ts-poll ts-poll-caret-up',
					'f218' => 'ts-poll ts-poll-cart-arrow-down',
					'f217' => 'ts-poll ts-poll-cart-plus',
					'f20a' => 'ts-poll ts-poll-cc',
					'f1f3' => 'ts-poll ts-poll-cc-amex',
					'f24c' => 'ts-poll ts-poll-cc-diners-club',
					'f1f2' => 'ts-poll ts-poll-cc-discover',
					'f24b' => 'ts-poll ts-poll-cc-jcb',
					'f1f1' => 'ts-poll ts-poll-cc-mastercard',
					'f1f4' => 'ts-poll ts-poll-cc-paypal',
					'f1f5' => 'ts-poll ts-poll-cc-stripe',
					'f1f0' => 'ts-poll ts-poll-cc-visa',
					'f0a3' => 'ts-poll ts-poll-certificate',
					'f127' => 'ts-poll ts-poll-chain-broken',
					'f00c' => 'ts-poll ts-poll-check',
					'f058' => 'ts-poll ts-poll-check-circle',
					'f05d' => 'ts-poll ts-poll-check-circle-o',
					'f14a' => 'ts-poll ts-poll-check-square',
					'f046' => 'ts-poll ts-poll-check-square-o',
					'f13a' => 'ts-poll ts-poll-chevron-circle-down',
					'f137' => 'ts-poll ts-poll-chevron-circle-left',
					'f138' => 'ts-poll ts-poll-chevron-circle-right',
					'f139' => 'ts-poll ts-poll-chevron-circle-up',
					'f078' => 'ts-poll ts-poll-chevron-down',
					'f053' => 'ts-poll ts-poll-chevron-left',
					'f054' => 'ts-poll ts-poll-chevron-right',
					'f077' => 'ts-poll ts-poll-chevron-up',
					'f1ae' => 'ts-poll ts-poll-child',
					'f268' => 'ts-poll ts-poll-chrome',
					'f111' => 'ts-poll ts-poll-circle',
					'f10c' => 'ts-poll ts-poll-circle-o',
					'f1ce' => 'ts-poll ts-poll-circle-o-notch',
					'f1db' => 'ts-poll ts-poll-circle-thin',
					'f0ea' => 'ts-poll ts-poll-clipboard',
					'f017' => 'ts-poll ts-poll-clock-o',
					'f24d' => 'ts-poll ts-poll-clone',
					'f0c2' => 'ts-poll ts-poll-cloud',
					'f0ed' => 'ts-poll ts-poll-cloud-download',
					'f0ee' => 'ts-poll ts-poll-cloud-upload',
					'f121' => 'ts-poll ts-poll-code',
					'f126' => 'ts-poll ts-poll-code-fork',
					'f1cb' => 'ts-poll ts-poll-codepen',
					'f284' => 'ts-poll ts-poll-codiepie',
					'f0f4' => 'ts-poll ts-poll-coffee',
					'f013' => 'ts-poll ts-poll-cog',
					'f085' => 'ts-poll ts-poll-cogs',
					'f0db' => 'ts-poll ts-poll-columns',
					'f075' => 'ts-poll ts-poll-comment',
					'f0e5' => 'ts-poll ts-poll-comment-o',
					'f27a' => 'ts-poll ts-poll-commenting',
					'f27b' => 'ts-poll ts-poll-commenting-o',
					'f086' => 'ts-poll ts-poll-comments',
					'f0e6' => 'ts-poll ts-poll-comments-o',
					'f14e' => 'ts-poll ts-poll-compass',
					'f066' => 'ts-poll ts-poll-compress',
					'f20e' => 'ts-poll ts-poll-connectdevelop',
					'f26d' => 'ts-poll ts-poll-contao',
					'f1f9' => 'ts-poll ts-poll-copyright',
					'f25e' => 'ts-poll ts-poll-creative-commons',
					'f09d' => 'ts-poll ts-poll-credit-card',
					'f283' => 'ts-poll ts-poll-credit-card-alt',
					'f125' => 'ts-poll ts-poll-crop',
					'f05b' => 'ts-poll ts-poll-crosshairs',
					'f13c' => 'ts-poll ts-poll-css3',
					'f1b2' => 'ts-poll ts-poll-cube',
					'f1b3' => 'ts-poll ts-poll-cubes',
					'f0f5' => 'ts-poll ts-poll-cutlery',
					'f210' => 'ts-poll ts-poll-dashcube',
					'f1c0' => 'ts-poll ts-poll-database',
					'f2a4' => 'ts-poll ts-poll-deaf',
					'f1a5' => 'ts-poll ts-poll-delicious',
					'f108' => 'ts-poll ts-poll-desktop',
					'f1bd' => 'ts-poll ts-poll-deviantart',
					'f219' => 'ts-poll ts-poll-diamond',
					'f1a6' => 'ts-poll ts-poll-digg',
					'f192' => 'ts-poll ts-poll-dot-circle-o',
					'f019' => 'ts-poll ts-poll-download',
					'f17d' => 'ts-poll ts-poll-dribbble',
					'f16b' => 'ts-poll ts-poll-dropbox',
					'f1a9' => 'ts-poll ts-poll-drupal',
					'f282' => 'ts-poll ts-poll-edge',
					'f052' => 'ts-poll ts-poll-eject',
					'f141' => 'ts-poll ts-poll-ellipsis-h',
					'f142' => 'ts-poll ts-poll-ellipsis-v',
					'f1d1' => 'ts-poll ts-poll-empire',
					'f0e0' => 'ts-poll ts-poll-envelope',
					'f003' => 'ts-poll ts-poll-envelope-o',
					'f199' => 'ts-poll ts-poll-envelope-square',
					'f299' => 'ts-poll ts-poll-envira',
					'f12d' => 'ts-poll ts-poll-eraser',
					'f153' => 'ts-poll ts-poll-eur',
					'f0ec' => 'ts-poll ts-poll-exchange',
					'f12a' => 'ts-poll ts-poll-exclamation',
					'f06a' => 'ts-poll ts-poll-exclamation-circle',
					'f071' => 'ts-poll ts-poll-exclamation-triangle',
					'f065' => 'ts-poll ts-poll-expand',
					'f23e' => 'ts-poll ts-poll-expeditedssl',
					'f08e' => 'ts-poll ts-poll-external-link',
					'f14c' => 'ts-poll ts-poll-external-link-square',
					'f06e' => 'ts-poll ts-poll-eye',
					'f070' => 'ts-poll ts-poll-eye-slash',
					'f1fb' => 'ts-poll ts-poll-eyedropper',
					'f09a' => 'ts-poll ts-poll-facebook',
					'f230' => 'ts-poll ts-poll-facebook-official',
					'f082' => 'ts-poll ts-poll-facebook-square',
					'f049' => 'ts-poll ts-poll-fast-backward',
					'f050' => 'ts-poll ts-poll-fast-forward',
					'f1ac' => 'ts-poll ts-poll-fax',
					'f182' => 'ts-poll ts-poll-female',
					'f0fb' => 'ts-poll ts-poll-fighter-jet',
					'f15b' => 'ts-poll ts-poll-file',
					'f1c6' => 'ts-poll ts-poll-file-archive-o',
					'f1c7' => 'ts-poll ts-poll-file-audio-o',
					'f1c9' => 'ts-poll ts-poll-file-code-o',
					'f1c3' => 'ts-poll ts-poll-file-excel-o',
					'f1c5' => 'ts-poll ts-poll-file-image-o',
					'f016' => 'ts-poll ts-poll-file-o',
					'f1c1' => 'ts-poll ts-poll-file-pdf-o',
					'f1c4' => 'ts-poll ts-poll-file-powerpoint-o',
					'f15c' => 'ts-poll ts-poll-file-text',
					'f0f6' => 'ts-poll ts-poll-file-text-o',
					'f1c8' => 'ts-poll ts-poll-file-video-o',
					'f1c2' => 'ts-poll ts-poll-file-word-o',
					'f0c5' => 'ts-poll ts-poll-files-o',
					'f008' => 'ts-poll ts-poll-film',
					'f0b0' => 'ts-poll ts-poll-filter',
					'f06d' => 'ts-poll ts-poll-fire',
					'f134' => 'ts-poll ts-poll-fire-extinguisher',
					'f269' => 'ts-poll ts-poll-firefox',
					'f2b0' => 'ts-poll ts-poll-first-order',
					'f024' => 'ts-poll ts-poll-flag',
					'f11e' => 'ts-poll ts-poll-flag-checkered',
					'f11d' => 'ts-poll ts-poll-flag-o',
					'f0c3' => 'ts-poll ts-poll-flask',
					'f16e' => 'ts-poll ts-poll-flickr',
					'f0c7' => 'ts-poll ts-poll-floppy-o',
					'f07b' => 'ts-poll ts-poll-folder',
					'f114' => 'ts-poll ts-poll-folder-o',
					'f07c' => 'ts-poll ts-poll-folder-open',
					'f115' => 'ts-poll ts-poll-folder-open-o',
					'f031' => 'ts-poll ts-poll-font',
					'f2b4' => 'ts-poll ts-poll-font-awesome',
					'f280' => 'ts-poll ts-poll-fonticons',
					'f286' => 'ts-poll ts-poll-fort-awesome',
					'f211' => 'ts-poll ts-poll-forumbee',
					'f04e' => 'ts-poll ts-poll-forward',
					'f180' => 'ts-poll ts-poll-foursquare',
					'f119' => 'ts-poll ts-poll-frown-o',
					'f1e3' => 'ts-poll ts-poll-futbol-o',
					'f11b' => 'ts-poll ts-poll-gamepad',
					'f0e3' => 'ts-poll ts-poll-gavel',
					'f154' => 'ts-poll ts-poll-gbp',
					'f22d' => 'ts-poll ts-poll-genderless',
					'f265' => 'ts-poll ts-poll-get-pocket',
					'f260' => 'ts-poll ts-poll-gg',
					'f261' => 'ts-poll ts-poll-gg-circle',
					'f06b' => 'ts-poll ts-poll-gift',
					'f1d3' => 'ts-poll ts-poll-git',
					'f1d2' => 'ts-poll ts-poll-git-square',
					'f296' => 'ts-poll ts-poll-gitlab',
					'f09b' => 'ts-poll ts-poll-github',
					'f113' => 'ts-poll ts-poll-github-alt',
					'f092' => 'ts-poll ts-poll-github-square',
					'f000' => 'ts-poll ts-poll-glass',
					'f2a5' => 'ts-poll ts-poll-glide',
					'f2a6' => 'ts-poll ts-poll-glide-g',
					'f0ac' => 'ts-poll ts-poll-globe',
					'f1a0' => 'ts-poll ts-poll-google',
					'f0d5' => 'ts-poll ts-poll-google-plus',
					'f2b3' => 'ts-poll ts-poll-google-plus-official',
					'f0d4' => 'ts-poll ts-poll-google-plus-square',
					'f1ee' => 'ts-poll ts-poll-google-wallet',
					'f19d' => 'ts-poll ts-poll-graduation-cap',
					'f184' => 'ts-poll ts-poll-gratipay',
					'f0fd' => 'ts-poll ts-poll-h-square',
					'f1d4' => 'ts-poll ts-poll-hacker-news',
					'f258' => 'ts-poll ts-poll-hand-lizard-o',
					'f0a7' => 'ts-poll ts-poll-hand-o-down',
					'f0a5' => 'ts-poll ts-poll-hand-o-left',
					'f0a4' => 'ts-poll ts-poll-hand-o-right',
					'f0a6' => 'ts-poll ts-poll-hand-o-up',
					'f256' => 'ts-poll ts-poll-hand-paper-o',
					'f25b' => 'ts-poll ts-poll-hand-peace-o',
					'f25a' => 'ts-poll ts-poll-hand-pointer-o',
					'f255' => 'ts-poll ts-poll-hand-rock-o',
					'f257' => 'ts-poll ts-poll-hand-scissors-o',
					'f259' => 'ts-poll ts-poll-hand-spock-o',
					'f292' => 'ts-poll ts-poll-hashtag',
					'f0a0' => 'ts-poll ts-poll-hdd-o',
					'f1dc' => 'ts-poll ts-poll-header',
					'f025' => 'ts-poll ts-poll-headphones',
					'f004' => 'ts-poll ts-poll-heart',
					'f08a' => 'ts-poll ts-poll-heart-o',
					'f21e' => 'ts-poll ts-poll-heartbeat',
					'f1da' => 'ts-poll ts-poll-history',
					'f015' => 'ts-poll ts-poll-home',
					'f0f8' => 'ts-poll ts-poll-hospital-o',
					'f254' => 'ts-poll ts-poll-hourglass',
					'f253' => 'ts-poll ts-poll-hourglass-end',
					'f252' => 'ts-poll ts-poll-hourglass-half',
					'f250' => 'ts-poll ts-poll-hourglass-o',
					'f251' => 'ts-poll ts-poll-hourglass-start',
					'f27c' => 'ts-poll ts-poll-houzz',
					'f13b' => 'ts-poll ts-poll-html5',
					'f246' => 'ts-poll ts-poll-i-cursor',
					'f20b' => 'ts-poll ts-poll-ils',
					'f01c' => 'ts-poll ts-poll-inbox',
					'f03c' => 'ts-poll ts-poll-indent',
					'f275' => 'ts-poll ts-poll-industry',
					'f129' => 'ts-poll ts-poll-info',
					'f05a' => 'ts-poll ts-poll-info-circle',
					'f156' => 'ts-poll ts-poll-inr',
					'f16d' => 'ts-poll ts-poll-instagram',
					'f26b' => 'ts-poll ts-poll-internet-explorer',
					'f208' => 'ts-poll ts-poll-ioxhost',
					'f033' => 'ts-poll ts-poll-italic',
					'f1aa' => 'ts-poll ts-poll-joomla',
					'f157' => 'ts-poll ts-poll-jpy',
					'f1cc' => 'ts-poll ts-poll-jsfiddle',
					'f084' => 'ts-poll ts-poll-key',
					'f11c' => 'ts-poll ts-poll-keyboard-o',
					'f159' => 'ts-poll ts-poll-krw',
					'f1ab' => 'ts-poll ts-poll-language',
					'f109' => 'ts-poll ts-poll-laptop',
					'f202' => 'ts-poll ts-poll-lastfm',
					'f203' => 'ts-poll ts-poll-lastfm-square',
					'f06c' => 'ts-poll ts-poll-leaf',
					'f212' => 'ts-poll ts-poll-leanpub',
					'f094' => 'ts-poll ts-poll-lemon-o',
					'f149' => 'ts-poll ts-poll-level-down',
					'f148' => 'ts-poll ts-poll-level-up',
					'f1cd' => 'ts-poll ts-poll-life-ring',
					'f0eb' => 'ts-poll ts-poll-lightbulb-o',
					'f201' => 'ts-poll ts-poll-line-chart',
					'f0c1' => 'ts-poll ts-poll-link',
					'f0e1' => 'ts-poll ts-poll-linkedin',
					'f08c' => 'ts-poll ts-poll-linkedin-square',
					'f17c' => 'ts-poll ts-poll-linux',
					'f03a' => 'ts-poll ts-poll-list',
					'f022' => 'ts-poll ts-poll-list-alt',
					'f0cb' => 'ts-poll ts-poll-list-ol',
					'f0ca' => 'ts-poll ts-poll-list-ul',
					'f124' => 'ts-poll ts-poll-location-arrow',
					'f023' => 'ts-poll ts-poll-lock',
					'f175' => 'ts-poll ts-poll-long-arrow-down',
					'f177' => 'ts-poll ts-poll-long-arrow-left',
					'f178' => 'ts-poll ts-poll-long-arrow-right',
					'f176' => 'ts-poll ts-poll-long-arrow-up',
					'f2a8' => 'ts-poll ts-poll-low-vision',
					'f0d0' => 'ts-poll ts-poll-magic',
					'f076' => 'ts-poll ts-poll-magnet',
					'f183' => 'ts-poll ts-poll-male',
					'f279' => 'ts-poll ts-poll-map',
					'f041' => 'ts-poll ts-poll-map-marker',
					'f278' => 'ts-poll ts-poll-map-o',
					'f276' => 'ts-poll ts-poll-map-pin',
					'f277' => 'ts-poll ts-poll-map-signs',
					'f222' => 'ts-poll ts-poll-mars',
					'f227' => 'ts-poll ts-poll-mars-double',
					'f229' => 'ts-poll ts-poll-mars-stroke',
					'f22b' => 'ts-poll ts-poll-mars-stroke-h',
					'f22a' => 'ts-poll ts-poll-mars-stroke-v',
					'f136' => 'ts-poll ts-poll-maxcdn',
					'f20c' => 'ts-poll ts-poll-meanpath',
					'f23a' => 'ts-poll ts-poll-medium',
					'f0fa' => 'ts-poll ts-poll-medkit',
					'f11a' => 'ts-poll ts-poll-meh-o',
					'f223' => 'ts-poll ts-poll-mercury',
					'f130' => 'ts-poll ts-poll-microphone',
					'f131' => 'ts-poll ts-poll-microphone-slash',
					'f068' => 'ts-poll ts-poll-minus',
					'f056' => 'ts-poll ts-poll-minus-circle',
					'f146' => 'ts-poll ts-poll-minus-square',
					'f147' => 'ts-poll ts-poll-minus-square-o',
					'f289' => 'ts-poll ts-poll-mixcloud',
					'f10b' => 'ts-poll ts-poll-mobile',
					'f285' => 'ts-poll ts-poll-modx',
					'f0d6' => 'ts-poll ts-poll-money',
					'f186' => 'ts-poll ts-poll-moon-o',
					'f21c' => 'ts-poll ts-poll-motorcycle',
					'f245' => 'ts-poll ts-poll-mouse-pointer',
					'f001' => 'ts-poll ts-poll-music',
					'f22c' => 'ts-poll ts-poll-neuter',
					'f1ea' => 'ts-poll ts-poll-newspaper-o',
					'f247' => 'ts-poll ts-poll-object-group',
					'f248' => 'ts-poll ts-poll-object-ungroup',
					'f263' => 'ts-poll ts-poll-odnoklassniki',
					'f264' => 'ts-poll ts-poll-odnoklassniki-square',
					'f23d' => 'ts-poll ts-poll-opencart',
					'f19b' => 'ts-poll ts-poll-openid',
					'f26a' => 'ts-poll ts-poll-opera',
					'f23c' => 'ts-poll ts-poll-optin-monster',
					'f03b' => 'ts-poll ts-poll-outdent',
					'f18c' => 'ts-poll ts-poll-pagelines',
					'f1fc' => 'ts-poll ts-poll-paint-brush',
					'f1d8' => 'ts-poll ts-poll-paper-plane',
					'f1d9' => 'ts-poll ts-poll-paper-plane-o',
					'f0c6' => 'ts-poll ts-poll-paperclip',
					'f1dd' => 'ts-poll ts-poll-paragraph',
					'f04c' => 'ts-poll ts-poll-pause',
					'f28b' => 'ts-poll ts-poll-pause-circle',
					'f28c' => 'ts-poll ts-poll-pause-circle-o',
					'f1b0' => 'ts-poll ts-poll-paw',
					'f1ed' => 'ts-poll ts-poll-paypal',
					'f040' => 'ts-poll ts-poll-pencil',
					'f14b' => 'ts-poll ts-poll-pencil-square',
					'f044' => 'ts-poll ts-poll-pencil-square-o',
					'f295' => 'ts-poll ts-poll-percent',
					'f095' => 'ts-poll ts-poll-phone',
					'f098' => 'ts-poll ts-poll-phone-square',
					'f03e' => 'ts-poll ts-poll-picture-o',
					'f200' => 'ts-poll ts-poll-pie-chart',
					'f2ae' => 'ts-poll ts-poll-pied-piper',
					'f1a8' => 'ts-poll ts-poll-pied-piper-alt',
					'f1a7' => 'ts-poll ts-poll-pied-piper-pp',
					'f0d2' => 'ts-poll ts-poll-pinterest',
					'f231' => 'ts-poll ts-poll-pinterest-p',
					'f0d3' => 'ts-poll ts-poll-pinterest-square',
					'f072' => 'ts-poll ts-poll-plane',
					'f04b' => 'ts-poll ts-poll-play',
					'f144' => 'ts-poll ts-poll-play-circle',
					'f01d' => 'ts-poll ts-poll-play-circle-o',
					'f1e6' => 'ts-poll ts-poll-plug',
					'f067' => 'ts-poll ts-poll-plus',
					'f055' => 'ts-poll ts-poll-plus-circle',
					'f0fe' => 'ts-poll ts-poll-plus-square',
					'f196' => 'ts-poll ts-poll-plus-square-o',
					'f011' => 'ts-poll ts-poll-power-off',
					'f02f' => 'ts-poll ts-poll-print',
					'f288' => 'ts-poll ts-poll-product-hunt',
					'f12e' => 'ts-poll ts-poll-puzzle-piece',
					'f1d6' => 'ts-poll ts-poll-qq',
					'f029' => 'ts-poll ts-poll-qrcode',
					'f128' => 'ts-poll ts-poll-question',
					'f059' => 'ts-poll ts-poll-question-circle',
					'f29c' => 'ts-poll ts-poll-question-circle-o',
					'f10d' => 'ts-poll ts-poll-quote-left',
					'f10e' => 'ts-poll ts-poll-quote-right',
					'f074' => 'ts-poll ts-poll-random',
					'f1d0' => 'ts-poll ts-poll-rebel',
					'f1b8' => 'ts-poll ts-poll-recycle',
					'f1a1' => 'ts-poll ts-poll-reddit',
					'f281' => 'ts-poll ts-poll-reddit-alien',
					'f1a2' => 'ts-poll ts-poll-reddit-square',
					'f021' => 'ts-poll ts-poll-refresh',
					'f25d' => 'ts-poll ts-poll-registered',
					'f18b' => 'ts-poll ts-poll-renren',
					'f01e' => 'ts-poll ts-poll-repeat',
					'f112' => 'ts-poll ts-poll-reply',
					'f122' => 'ts-poll ts-poll-reply-all',
					'f079' => 'ts-poll ts-poll-retweet',
					'f018' => 'ts-poll ts-poll-road',
					'f135' => 'ts-poll ts-poll-rocket',
					'f09e' => 'ts-poll ts-poll-rss',
					'f143' => 'ts-poll ts-poll-rss-square',
					'f158' => 'ts-poll ts-poll-rub',
					'f267' => 'ts-poll ts-poll-safari',
					'f0c4' => 'ts-poll ts-poll-scissors',
					'f28a' => 'ts-poll ts-poll-scribd',
					'f002' => 'ts-poll ts-poll-search',
					'f010' => 'ts-poll ts-poll-search-minus',
					'f00e' => 'ts-poll ts-poll-search-plus',
					'f213' => 'ts-poll ts-poll-sellsy',
					'f233' => 'ts-poll ts-poll-server',
					'f064' => 'ts-poll ts-poll-share',
					'f1e0' => 'ts-poll ts-poll-share-alt',
					'f1e1' => 'ts-poll ts-poll-share-alt-square',
					'f14d' => 'ts-poll ts-poll-share-square',
					'f045' => 'ts-poll ts-poll-share-square-o',
					'f132' => 'ts-poll ts-poll-shield',
					'f21a' => 'ts-poll ts-poll-ship',
					'f214' => 'ts-poll ts-poll-shirtsinbulk',
					'f290' => 'ts-poll ts-poll-shopping-bag',
					'f291' => 'ts-poll ts-poll-shopping-basket',
					'f07a' => 'ts-poll ts-poll-shopping-cart',
					'f090' => 'ts-poll ts-poll-sign-in',
					'f2a7' => 'ts-poll ts-poll-sign-language',
					'f08b' => 'ts-poll ts-poll-sign-out',
					'f012' => 'ts-poll ts-poll-signal',
					'f215' => 'ts-poll ts-poll-simplybuilt',
					'f0e8' => 'ts-poll ts-poll-sitemap',
					'f216' => 'ts-poll ts-poll-skyatlas',
					'f17e' => 'ts-poll ts-poll-skype',
					'f198' => 'ts-poll ts-poll-slack',
					'f1de' => 'ts-poll ts-poll-sliders',
					'f1e7' => 'ts-poll ts-poll-slideshare',
					'f118' => 'ts-poll ts-poll-smile-o',
					'f2ab' => 'ts-poll ts-poll-snapchat',
					'f2ac' => 'ts-poll ts-poll-snapchat-ghost',
					'f2ad' => 'ts-poll ts-poll-snapchat-square',
					'f0dc' => 'ts-poll ts-poll-sort',
					'f15d' => 'ts-poll ts-poll-sort-alpha-asc',
					'f15e' => 'ts-poll ts-poll-sort-alpha-desc',
					'f160' => 'ts-poll ts-poll-sort-amount-asc',
					'f161' => 'ts-poll ts-poll-sort-amount-desc',
					'f0de' => 'ts-poll ts-poll-sort-asc',
					'f0dd' => 'ts-poll ts-poll-sort-desc',
					'f162' => 'ts-poll ts-poll-sort-numeric-asc',
					'f163' => 'ts-poll ts-poll-sort-numeric-desc',
					'f1be' => 'ts-poll ts-poll-soundcloud',
					'f197' => 'ts-poll ts-poll-space-shuttle',
					'f110' => 'ts-poll ts-poll-spinner',
					'f1b1' => 'ts-poll ts-poll-spoon',
					'f1bc' => 'ts-poll ts-poll-spotify',
					'f0c8' => 'ts-poll ts-poll-square',
					'f096' => 'ts-poll ts-poll-square-o',
					'f18d' => 'ts-poll ts-poll-stack-exchange',
					'f16c' => 'ts-poll ts-poll-stack-overflow',
					'f005' => 'ts-poll ts-poll-star',
					'f089' => 'ts-poll ts-poll-star-half',
					'f123' => 'ts-poll ts-poll-star-half-o',
					'f006' => 'ts-poll ts-poll-star-o',
					'f1b6' => 'ts-poll ts-poll-steam',
					'f1b7' => 'ts-poll ts-poll-steam-square',
					'f048' => 'ts-poll ts-poll-step-backward',
					'f051' => 'ts-poll ts-poll-step-forward',
					'f0f1' => 'ts-poll ts-poll-stethoscope',
					'f249' => 'ts-poll ts-poll-sticky-note',
					'f24a' => 'ts-poll ts-poll-sticky-note-o',
					'f04d' => 'ts-poll ts-poll-stop',
					'f28d' => 'ts-poll ts-poll-stop-circle',
					'f28e' => 'ts-poll ts-poll-stop-circle-o',
					'f21d' => 'ts-poll ts-poll-street-view',
					'f0cc' => 'ts-poll ts-poll-strikethrough',
					'f1a4' => 'ts-poll ts-poll-stumbleupon',
					'f1a3' => 'ts-poll ts-poll-stumbleupon-circle',
					'f12c' => 'ts-poll ts-poll-subscript',
					'f239' => 'ts-poll ts-poll-subway',
					'f0f2' => 'ts-poll ts-poll-suitcase',
					'f185' => 'ts-poll ts-poll-sun-o',
					'f12b' => 'ts-poll ts-poll-superscript',
					'f0ce' => 'ts-poll ts-poll-table',
					'f10a' => 'ts-poll ts-poll-tablet',
					'f0e4' => 'ts-poll ts-poll-tachometer',
					'f02b' => 'ts-poll ts-poll-tag',
					'f02c' => 'ts-poll ts-poll-tags',
					'f0ae' => 'ts-poll ts-poll-tasks',
					'f1ba' => 'ts-poll ts-poll-taxi',
					'f26c' => 'ts-poll ts-poll-television',
					'f1d5' => 'ts-poll ts-poll-tencent-weibo',
					'f120' => 'ts-poll ts-poll-terminal',
					'f034' => 'ts-poll ts-poll-text-height',
					'f035' => 'ts-poll ts-poll-text-width',
					'f00a' => 'ts-poll ts-poll-th',
					'f009' => 'ts-poll ts-poll-th-large',
					'f00b' => 'ts-poll ts-poll-th-list',
					'f2b2' => 'ts-poll ts-poll-themeisle',
					'f08d' => 'ts-poll ts-poll-thumb-tack',
					'f165' => 'ts-poll ts-poll-thumbs-down',
					'f088' => 'ts-poll ts-poll-thumbs-o-down',
					'f087' => 'ts-poll ts-poll-thumbs-o-up',
					'f164' => 'ts-poll ts-poll-thumbs-up',
					'f145' => 'ts-poll ts-poll-ticket',
					'f00d' => 'ts-poll ts-poll-times',
					'f057' => 'ts-poll ts-poll-times-circle',
					'f05c' => 'ts-poll ts-poll-times-circle-o',
					'f043' => 'ts-poll ts-poll-tint',
					'f204' => 'ts-poll ts-poll-toggle-off',
					'f205' => 'ts-poll ts-poll-toggle-on',
					'f25c' => 'ts-poll ts-poll-trademark',
					'f238' => 'ts-poll ts-poll-train',
					'f224' => 'ts-poll ts-poll-transgender',
					'f225' => 'ts-poll ts-poll-transgender-alt',
					'f1f8' => 'ts-poll ts-poll-trash',
					'f014' => 'ts-poll ts-poll-trash-o',
					'f1bb' => 'ts-poll ts-poll-tree',
					'f181' => 'ts-poll ts-poll-trello',
					'f262' => 'ts-poll ts-poll-tripadvisor',
					'f091' => 'ts-poll ts-poll-trophy',
					'f0d1' => 'ts-poll ts-poll-truck',
					'f195' => 'ts-poll ts-poll-try',
					'f1e4' => 'ts-poll ts-poll-tty',
					'f173' => 'ts-poll ts-poll-tumblr',
					'f174' => 'ts-poll ts-poll-tumblr-square',
					'f1e8' => 'ts-poll ts-poll-twitch',
					'f099' => 'ts-poll ts-poll-twitter',
					'f081' => 'ts-poll ts-poll-twitter-square',
					'f0e9' => 'ts-poll ts-poll-umbrella',
					'f0cd' => 'ts-poll ts-poll-underline',
					'f0e2' => 'ts-poll ts-poll-undo',
					'f29a' => 'ts-poll ts-poll-universal-access',
					'f19c' => 'ts-poll ts-poll-university',
					'f09c' => 'ts-poll ts-poll-unlock',
					'f13e' => 'ts-poll ts-poll-unlock-alt',
					'f093' => 'ts-poll ts-poll-upload',
					'f287' => 'ts-poll ts-poll-usb',
					'f155' => 'ts-poll ts-poll-usd',
					'f007' => 'ts-poll ts-poll-user',
					'f0f0' => 'ts-poll ts-poll-user-md',
					'f234' => 'ts-poll ts-poll-user-plus',
					'f21b' => 'ts-poll ts-poll-user-secret',
					'f235' => 'ts-poll ts-poll-user-times',
					'f0c0' => 'ts-poll ts-poll-users',
					'f221' => 'ts-poll ts-poll-venus',
					'f226' => 'ts-poll ts-poll-venus-double',
					'f228' => 'ts-poll ts-poll-venus-mars',
					'f237' => 'ts-poll ts-poll-viacoin',
					'f2a9' => 'ts-poll ts-poll-viadeo',
					'f2aa' => 'ts-poll ts-poll-viadeo-square',
					'f03d' => 'ts-poll ts-poll-video-camera',
					'f27d' => 'ts-poll ts-poll-vimeo',
					'f194' => 'ts-poll ts-poll-vimeo-square',
					'f1ca' => 'ts-poll ts-poll-vine',
					'f189' => 'ts-poll ts-poll-vk',
					'f2a0' => 'ts-poll ts-poll-volume-control-phone',
					'f027' => 'ts-poll ts-poll-volume-down',
					'f026' => 'ts-poll ts-poll-volume-off',
					'f028' => 'ts-poll ts-poll-volume-up',
					'f18a' => 'ts-poll ts-poll-weibo',
					'f1d7' => 'ts-poll ts-poll-weixin',
					'f232' => 'ts-poll ts-poll-whatsapp',
					'f193' => 'ts-poll ts-poll-wheelchair',
					'f29b' => 'ts-poll ts-poll-wheelchair-alt',
					'f1eb' => 'ts-poll ts-poll-wifi',
					'f266' => 'ts-poll ts-poll-wikipedia-w',
					'f17a' => 'ts-poll ts-poll-windows',
					'f19a' => 'ts-poll ts-poll-wordpress',
					'f297' => 'ts-poll ts-poll-wpbeginner',
					'f298' => 'ts-poll ts-poll-wpforms',
					'f0ad' => 'ts-poll ts-poll-wrench',
					'f168' => 'ts-poll ts-poll-xing',
					'f169' => 'ts-poll ts-poll-xing-square',
					'f23b' => 'ts-poll ts-poll-y-combinator',
					'f19e' => 'ts-poll ts-poll-yahoo',
					'f1e9' => 'ts-poll ts-poll-yelp',
					'f2b1' => 'ts-poll ts-poll-yoast',
					'f167' => 'ts-poll ts-poll-youtube',
					'f16a' => 'ts-poll ts-poll-youtube-play',
					'f166' => 'ts-poll ts-poll-youtube-square',
				),
			),
			'tsp_font_families' => array(
				'Amaranth'                  => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=KtkuALODe433f0j1zMnFHdc&skey=a086a5f010412431&v=v16#Amaranth',
					'woff'  => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdY.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdU.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/amaranth/v16/KtkuALODe433f0j1zMnFHdA.woff2',
				),
				'Anton'                     => array(
					'woff'  => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Ck.woff',
					'eot'   => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Cs.eot',
					'woff2' => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-C8.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/anton/v22/1Ptgg87LROyAm3Kz-Co.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1Ptgg87LROyAm3Kz-Cg&skey=3e16a04254d4c9b3&v=v22#Anton',
				),
				'Battambang'                => array(
					'woff2' => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp4g.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5A.woff',
					'eot'   => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5g.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=uk-mEGe7raEw-HjkzZabPnKp5Q&skey=d567eed92f92816&v=v22#Battambang',
					'ttf'   => 'https://fonts.gstatic.com/s/battambang/v22/uk-mEGe7raEw-HjkzZabPnKp5w.ttf',
				),
				'Baumans'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04aw.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=-W_-XJj9QyTd3Qfpd_04bA&skey=34ab2ddaf19de28&v=v15#Baumans',
					'eot'   => 'https://fonts.gstatic.com/s/baumans/v15/-W_-XJj9QyTd3Qfpd_04bw.eot',
				),
				'Bungee Shade'              => array(
					'ttf'   => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjW.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjV.woff',
					'eot'   => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjX.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=DtVkJxarWL0t2KdzK3oI_jkc6SjU&skey=fbfaf26ed37f085b&v=v9#BungeeShade',
					'woff2' => 'https://fonts.gstatic.com/s/bungeeshade/v9/DtVkJxarWL0t2KdzK3oI_jkc6SjT.woff2',
				),
				'Butcherman'                => array(
					'eot'   => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rA.woff',
					'woff2' => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5qg.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/butcherman/v22/2EbiL-thF0loflXUBOdb5zK5rw.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=2EbiL-thF0loflXUBOdb5zK5rQ&skey=a81c66da830bfcb3&v=v22#Butcherman',
				),
				'Cabin'                     => array(
					'woff'  => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alwA&skey=d53a2c61c6b52b74&v=v18#Cabin',
					'woff2' => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alxw.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/cabin/v18/u-4X0qWljRw-PfU81xCKCpdpbgZJl6XFpfEd7eA9BIxxkV2EH7alww.eot',
				),
				'Cabin Sketch'              => array(
					'eot'   => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhJ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhL.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=QGYpz_kZZAGCONcK2A4bGOj8mNhK&skey=64590cfdee656fb9&v=v17#CabinSketch',
					'woff2' => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhN.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/cabinsketch/v17/QGYpz_kZZAGCONcK2A4bGOj8mNhI.ttf',
				),
				'Cairo'                     => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyV&skey=ee6e3b9105e1a754&v=v17#Cairo',
					'woff2' => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyS.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyW.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyX.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/cairo/v17/SLXVc1nY6HkvangtZmpcWmhzfH5lWWgcRiyU.woff',
				),
				'Damion'                    => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=hv-XlzJ3KEUe_YZkamwx&skey=cab2b817d665dc28&v=v10#Damion',
					'eot'   => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamwy.eot',
					'woff'  => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamww.woff',
					'woff2' => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamw2.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/damion/v10/hv-XlzJ3KEUe_YZkamwz.ttf',
				),
				'Eagle Lake'                => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ptRMTiqbbuNJDOiKj9wG1On4Lw&skey=63718d6a75d9c744&v=v18#EagleLake',
					'woff'  => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4Lg.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4LQ.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4LA.eot',
					'woff2' => 'https://fonts.gstatic.com/s/eaglelake/v18/ptRMTiqbbuNJDOiKj9wG1On4KA.woff2',
				),
				'East Sea Dokdo'            => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=xfuo0Wn2V2_KanASqXSZp22m06_dE60&skey=44c2728630a38fc5&v=v18#EastSeaDokdo',
					'woff2' => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE6o.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE68.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE64.eot',
					'woff'  => 'https://fonts.gstatic.com/s/eastseadokdo/v18/xfuo0Wn2V2_KanASqXSZp22m06_dE6w.woff',
				),
				'Fira Sans Condensed'       => array(
					'eot'   => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqQ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqg&skey=96eb1234fcb38aea&v=v9#FiraSansCondensed',
					'woff2' => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtrQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/firasanscondensed/v9/wEOhEADFm8hSaQTFG18FErVhsC9x-tarUfbtqA.ttf',
				),
				'Fira Sans Extra Condensed' => array(
					'eot'   => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvQ&skey=6da40aeae3bd26bf&v=v8#FiraSansExtraCondensed',
					'woff'  => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvA.woff',
					'woff2' => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uug.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/firasansextracondensed/v8/NaPKcYDaAO5dirw6IaFn7lPJFqXmS-M9Atn3wgda1f-uvw.ttf',
				),
				'Gafata'                    => array(
					'ttf'   => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaE.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaH.woff',
					'woff2' => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaB.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=XRXV3I6Cn0VJKonINeaG&skey=ac32f67a7703448a&v=v14#Gafata',
					'eot'   => 'https://fonts.gstatic.com/s/gafata/v14/XRXV3I6Cn0VJKonINeaF.eot',
				),
				'Jacques Francois'          => array(
					'eot'   => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpg.woff',
					'woff2' => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgoA.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/jacquesfrancois/v18/ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpQ.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ZXu9e04ZvKeOOHIe1TMahbcIU2cgqcTgpw&skey=f331cd55df0362a4&v=v18#JacquesFrancois',
				),
				'Headland One'              => array(
					'woff'  => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NU.woff',
					'woff2' => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NS.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NX.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/headlandone/v13/yYLu0hHR2vKnp89Tk1TCq3TB1_NW.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=yYLu0hHR2vKnp89Tk1TCq3TB1_NV&skey=8cb712da05e7381c&v=v13#HeadlandOne',
				),
				'Katibeh'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbVQ.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUQ.eot',
					'woff'  => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/katibeh/v15/ZGjXol5MQJog4bxDWCpbUA.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ZGjXol5MQJog4bxDWCpbUg&skey=5f417d48499acf32&v=v15#Katibeh',
				),
				'Monsieur La Doulaise'      => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEc&skey=f0bf0703ab573473&v=v12#MonsieurLaDoulaise',
					'eot'   => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEA.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEU.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/monsieurladoulaise/v12/_Xmz-GY4rjmCbQfc-aPRaa4pqV340p7EZm5ZyEY.woff',
				),
				'Mr De Haviland'            => array(
					'woff2' => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60M.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60c.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=OpNVnooIhJj96FdB73296ksbOg3F60Q&skey=4c1b286187a2a4c2&v=v12#MrDeHaviland',
					'ttf'   => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60Y.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/mrdehaviland/v12/OpNVnooIhJj96FdB73296ksbOg3F60U.woff',
				),
				'Nova Script'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFo.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFk.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFg.eot',
					'woff2' => 'https://fonts.gstatic.com/s/novascript/v23/7Au7p_IpkSWSTWaFWkumvlQKGFw.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=7Au7p_IpkSWSTWaFWkumvlQKGFs&skey=5c166543e0bd14ed&v=v23#NovaScript',
				),
				'Nova Square'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4Q.woff',
					'eot'   => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4Y.eot',
					'woff2' => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4I.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/novasquare/v18/RrQUbo9-9DV7b06QHgSWsahHT4c.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=RrQUbo9-9DV7b06QHgSWsahHT4U&skey=eda40973f7ff17ba&v=v18#NovaSquare',
				),
				'Odor Mean Chey'            => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=raxkHiKDttkTe1aOGcJMR1A_4lrf0Tw&skey=71cf597ba81383f1&v=v25#OdorMeanChey',
					'woff'  => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T0.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T4.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0Ts.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/odormeanchey/v25/raxkHiKDttkTe1aOGcJMR1A_4lrf0T8.eot',
				),
				'Offside'                   => array(
					'woff'  => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQQ.woff',
					'woff2' => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boRw.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQw.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/offside/v18/HI_KiYMWKa9QrAykc5boQg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=HI_KiYMWKa9QrAykc5boQA&skey=5442f4302844a3cf&v=v18#Offside',
				),
				'Old Standard TT'           => array(
					'woff'  => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq-.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=MwQubh3o1vLImiwAVvYawgcf2eVeqlq_&skey=f1cef4e9ada09fef&v=v17#OldStandardTT',
					'eot'   => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq8.eot',
					'woff2' => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq4.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/oldstandardtt/v17/MwQubh3o1vLImiwAVvYawgcf2eVeqlq9.ttf',
				),
				'Oldenburg'                 => array(
					'ttf'   => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSs.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSt.eot',
					'woff'  => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSv.woff',
					'woff2' => 'https://fonts.gstatic.com/s/oldenburg/v18/fC1jPY5JYWzbywv7c4VKVkSp.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=fC1jPY5JYWzbywv7c4VKVkSu&skey=9bde624bd7bf0d51&v=v18#Oldenburg',
				),
				'Oxygen'                    => array(
					'woff'  => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0g.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=2sDfZG1Wl4LcnbuKjk0h&skey=65a128e59aae3226&v=v14#Oxygen',
					'woff2' => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0m.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0i.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/oxygen/v14/2sDfZG1Wl4LcnbuKjk0j.ttf',
				),
				'Oxygen Mono'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-g.woff',
					'eot'   => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-o.eot',
					'woff2' => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-4.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=h0GsssGg9FxgDgCjLeAd7hjYx-k&skey=464e9f9167c9e76a&v=v11#OxygenMono',
					'ttf'   => 'https://fonts.gstatic.com/s/oxygenmono/v11/h0GsssGg9FxgDgCjLeAd7hjYx-s.ttf',
				),
				'Princess Sofia'            => array(
					'eot'   => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjA.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjE.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjQ.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=qWczB6yguIb8DZ_GXZst16n7GSz8kjM&skey=c12de19c7965de10&v=v19#PrincessSofia',
					'woff'  => 'https://fonts.gstatic.com/s/princesssofia/v19/qWczB6yguIb8DZ_GXZst16n7GSz8kjI.woff',
				),
				'Prociono'                  => array(
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=r05YGLlR-KxAf9GGO_uuwjA&skey=f1ab602d48b8a5f7&v=v20#Prociono',
					'woff'  => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjE.woff',
					'woff2' => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjc.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjM.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/prociono/v20/r05YGLlR-KxAf9GGO_uuwjI.ttf',
				),
				'Prompt'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNoZ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNod.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=-W__XJnvUD7dzB2KYNoa&skey=154c4e4e997e9cb&v=v9#Prompt',
					'woff'  => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNob.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prompt/v9/-W__XJnvUD7dzB2KYNoY.ttf',
				),
				'Prosto One'                => array(
					'woff'  => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXQ.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXg.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=OpNJno4VhNfK-RgpwWWxli1VXA&skey=dd4f849bff091329&v=v15#ProstoOne',
					'eot'   => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VXw.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prostoone/v15/OpNJno4VhNfK-RgpwWWxli1VWw.woff2',
				),
				'Proza Libre'               => array(
					'woff'  => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodNw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodN8.ttf',
					'eot'   => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodN4.eot',
					'woff2' => 'https://fonts.gstatic.com/s/prozalibre/v5/LYjGdGHgj0k1DIQRyUEyyEoodNo.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjGdGHgj0k1DIQRyUEyyEoodN0&skey=c693a39898a09712&v=v5#ProzaLibre',
				),
				'Quicksand'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xg.eot',
					'woff2' => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-wg.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/quicksand/v28/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkP8o58a-xQ&skey=c01f11fa5439d932&v=v28#Quicksand',
				),
				'Quintessential'            => array(
					'ttf'   => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb0.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb4.woff',
					'eot'   => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qbw.eot',
					'woff2' => 'https://fonts.gstatic.com/s/quintessential/v18/fdNn9sOGq31Yjnh3qWU14Ddtjb53Qbg.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=fdNn9sOGq31Yjnh3qWU14Ddtjb53Qb8&skey=69a7a147bd395e2d&v=v18#Quintessential',
				),
				'Qwigley'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmig.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1cXzaU3UGJb5tGoCiVtmjQ&skey=556bf49db578a148&v=v14#Qwigley',
					'ttf'   => 'https://fonts.gstatic.com/s/qwigley/v14/1cXzaU3UGJb5tGoCiVtmjw.ttf',
				),
				'Racing Sans One'           => array(
					'ttf'   => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDi.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDg&skey=c54fc5912484ccc5&v=v11#RacingSansOne',
					'woff2' => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDn.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDj.eot',
					'woff'  => 'https://fonts.gstatic.com/s/racingsansone/v11/sykr-yRtm7EvTrXNxkv5jfKKyDCAKHDh.woff',
				),
				'Radley'                    => array(
					'woff'  => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwND.woff',
					'eot'   => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNB.eot',
					'woff2' => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNF.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjDdGzinEIjCN1NpwNC&skey=e57d4c4ee339b3e9&v=v18#Radley',
					'ttf'   => 'https://fonts.gstatic.com/s/radley/v18/LYjDdGzinEIjCN1NpwNA.ttf',
				),
				'Rajdhani'                  => array(
					'ttf'   => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-M.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-A.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LDIxapCSOBg7S-QT7p4HM-E&skey=2a58cb2a05429b83&v=v14#Rajdhani',
					'eot'   => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-I.eot',
					'woff2' => 'https://fonts.gstatic.com/s/rajdhani/v14/LDIxapCSOBg7S-QT7p4HM-Y.woff2',
				),
				'Rakkas'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFK.eot',
					'woff'  => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFI.woff',
					'woff2' => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFO.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Qw3cZQlNHiblL3jPkdFJ&skey=838fd7946900648&v=v15#Rakkas',
					'ttf'   => 'https://fonts.gstatic.com/s/rakkas/v15/Qw3cZQlNHiblL3jPkdFL.ttf',
				),
				'Raleway'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrU.eot',
					'woff'  => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrc.woff',
					'woff2' => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrE.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrY&skey=30a27f2564731c64&v=v26#Raleway',
					'ttf'   => 'https://fonts.gstatic.com/s/raleway/v26/1Ptxg8zYS_SKggPN4iEgvnHyvveLxVvaorCIPrQ.ttf',
				),
				'Raleway Dots'              => array(
					'eot'   => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVA.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6NUR8FifJg6AfQvzpshgwJ8UzvVD&skey=cc3e6aa20688efe&v=v12#RalewayDots',
					'woff'  => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVC.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVB.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/ralewaydots/v12/6NUR8FifJg6AfQvzpshgwJ8UzvVE.woff2',
				),
				'Ramabhadra'                => array(
					'woff2' => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMXg.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=EYq2maBOwqRW9P1SQ83LShRMWQ&skey=e9d5795f78cdacfa&v=v13#Ramabhadra',
					'ttf'   => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/ramabhadra/v13/EYq2maBOwqRW9P1SQ83LShRMWA.woff',
				),
				'Ramaraja'                  => array(
					'woff2' => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHE.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHc.woff',
					'eot'   => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHU.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=SlGTmQearpYAYG1CACIjoHY&skey=f83b7da96b6fa9d5&v=v13#Ramaraja',
					'ttf'   => 'https://fonts.gstatic.com/s/ramaraja/v13/SlGTmQearpYAYG1CACIjoHQ.ttf',
				),
				'Rosarivo'                  => array(
					'eot'   => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0H0.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0Hw.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0H8.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=PlI-Fl2lO6N9f8HaNDeF0H4&skey=ac6102bdca509a99&v=v18#Rosarivo',
					'woff2' => 'https://fonts.gstatic.com/s/rosarivo/v18/PlI-Fl2lO6N9f8HaNDeF0Hk.woff2',
				),
				'Revalia'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kNQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/revalia/v18/WwkexPimBE2-4ZPESV3kMw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=WwkexPimBE2-4ZPESV3kMg&skey=bbf65c76529e0aac&v=v18#Revalia',
				),
				'Siemreap'                  => array(
					'eot'   => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgo.eot',
					'woff2' => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlg4.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgs.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/siemreap/v15/Gg82N5oFbgLvHAfNl1YXlgg.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Gg82N5oFbgLvHAfNl1YXlgk&skey=b6efc4718dc363e9&v=v15#Siemreap',
				),
				'Sigmar One'                => array(
					'eot'   => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tpog.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tpow.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=co3DmWZ8kjZuErj9Ta3do6TpoQ&skey=1faaf69a761e7c1&v=v15#SigmarOne',
					'woff2' => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6Tppg.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/sigmarone/v15/co3DmWZ8kjZuErj9Ta3do6TpoA.woff',
				),
				'Signika'                   => array(
					'woff'  => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMg.woff',
					'woff2' => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjM4.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMo.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMk&skey=2df7b3f7f6d8a32a&v=v18#Signika',
					'ttf'   => 'https://fonts.gstatic.com/s/signika/v18/vEFO2_JTCgwQ5ejvMV0O96D01E8J0tJXHKbBjMs.ttf',
				),
				'Signika Negative'          => array(
					'ttf'   => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvdw.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd4&skey=72460f8866ebf5b&v=v18#SignikaNegative',
					'eot'   => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd0.eot',
					'woff2' => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvdk.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/signikanegative/v18/E21x_cfngu7HiRpPX3ZpNE4kY5zKSPmJXkF0VDD2RAqnS43rvd8.woff',
				),
				'Simonetta'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oH.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=x3dickHVYrCU5BU15c4xe_oE&skey=d750687bc3bb71a&v=v21#Simonetta',
					'ttf'   => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oG.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oD.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/simonetta/v21/x3dickHVYrCU5BU15c4xe_oF.woff',
				),
				'Tajawal'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDw.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDQ.woff',
					'woff2' => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBCw.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=Iura6YBj_oCad4k1nzGBDA&skey=549d92590736b326&v=v8#Tajawal',
					'ttf'   => 'https://fonts.gstatic.com/s/tajawal/v8/Iura6YBj_oCad4k1nzGBDg.ttf',
				),
				'Tangerine'                 => array(
					'woff2' => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZM.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZK.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZJ.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=IurY6Y5j_oScZZow4VOxCZZL&skey=7b78e1b6f929768b&v=v15#Tangerine',
					'eot'   => 'https://fonts.gstatic.com/s/tangerine/v15/IurY6Y5j_oScZZow4VOxCZZI.eot',
				),
				'Taprom'                    => array(
					'eot'   => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMy.eot',
					'woff'  => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCMz.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/taprom/v25/UcCn3F82JHycULb1RCM2.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=UcCn3F82JHycULb1RCMx&skey=859dd742e3c12a2a&v=v25#Taprom',
				),
				'Tauri'                     => array(
					'eot'   => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnI.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=TwMA-IISS0AM3LpSUnM&skey=a80ecb7544e95b0b&v=v14#Tauri',
					'ttf'   => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnE.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tauri/v14/TwMA-IISS0AM3LpSUnQ.woff2',
				),
				'Taviraj'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVg.eot',
					'woff'  => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVA.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ahcZv8Cj3ylylTXzTOkrVQ&skey=e380adc86ebdb4d0&v=v9#Taviraj',
					'ttf'   => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrVw.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/taviraj/v9/ahcZv8Cj3ylylTXzTOkrUg.woff2',
				),
				'Teko'                      => array(
					'eot'   => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9oQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9pQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9oA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/teko/v14/LYjNdG7kmE0gfaN9ow.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=LYjNdG7kmE0gfaN9og&skey=f42f6a86f3e5e4b1&v=v14#Teko',
				),
				'Telex'                     => array(
					'woff2' => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDVs.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=ieVw2Y1fKWmIO-fUDVw&skey=f563425e95f7a3e2&v=v12#Telex',
					'eot'   => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV8.eot',
					'woff'  => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV0.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/telex/v12/ieVw2Y1fKWmIO-fUDV4.ttf',
				),
				'Tenali Ramakrishna'        => array(
					'woff'  => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_t.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_s&skey=4930e67a756ab02f&v=v10#TenaliRamakrishna',
					'eot'   => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_v.eot',
					'ttf'   => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_u.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tenaliramakrishna/v10/raxgHj6Yt9gAN3LLKs0BZVMo8jmwn1-ML5_r.woff2',
				),
				'Tenor Sans'                => array(
					'ttf'   => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Dw.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Cg.woff2',
					'eot'   => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4Dg.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=bx6ANxqUneKx06UkIXISn3V4DQ&skey=9e159c41209dbf49&v=v15#TenorSans',
					'woff'  => 'https://fonts.gstatic.com/s/tenorsans/v15/bx6ANxqUneKx06UkIXISn3V4DA.woff',
				),
				'Text Me One'               => array(
					'eot'   => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFM.eot',
					'woff'  => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFE.woff',
					'woff2' => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFc.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/textmeone/v18/i7dOIFdlayuLUvgoFvHQFVZbYFI.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=i7dOIFdlayuLUvgoFvHQFVZbYFA&skey=e4462b563ebfbe6&v=v18#TextMeOne',
				),
				'The Girl Next Door'        => array(
					'woff'  => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF8.woff',
					'eot'   => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF-.eot',
					'woff2' => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF6.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/thegirlnextdoor/v16/pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF_.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=pe0zMJCIMIsBjFxqYBIcZ6_OI5oFHCY4ULF9&skey=bb61dfb09aee2010&v=v16#TheGirlNextDoor',
				),
				'Tienne'                    => array(
					'woff2' => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nG.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nD.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=AYCKpX7pe9YCRP07l0nB&skey=80ed6e66d365b35a&v=v18#Tienne',
					'woff'  => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nA.woff',
					'eot'   => 'https://fonts.gstatic.com/s/tienne/v18/AYCKpX7pe9YCRP07l0nC.eot',
				),
				'Tillana'                   => array(
					'woff2' => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdOQ.woff2',
					'ttf'   => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPA.ttf',
					'woff'  => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPw.woff',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=VuJxdNvf35P4qJ1OSKHdPg&skey=ca2cb923082f4f9a&v=v9#Tillana',
					'eot'   => 'https://fonts.gstatic.com/s/tillana/v9/VuJxdNvf35P4qJ1OSKHdPQ.eot',
				),
				'Timmana'                   => array(
					'eot'   => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLQ.eot',
					'woff2' => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRKQ.woff2',
					'woff'  => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLw.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/timmana/v10/6xKvdShfL9yK-rvpOmzRLA.ttf',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=6xKvdShfL9yK-rvpOmzRLg&skey=909c473ed6ecde4d&v=v10#Timmana',
				),
				'Tinos'                     => array(
					'eot'   => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmA.eot',
					'woff'  => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmI.woff',
					'woff2' => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmQ.woff2',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=buE4poGnedXvwjX7fmM&skey=c8b6aa82b57934a&v=v23#Tinos',
					'ttf'   => 'https://fonts.gstatic.com/s/tinos/v23/buE4poGnedXvwjX7fmE.ttf',
				),
				'Titan One'                 => array(
					'eot'   => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgi.eot',
					'svg'   => 'https://fonts.gstatic.com/l/font?kit=mFTzWbsGxbbS_J5cQcjClDgh&skey=fec1aaa79fef5720&v=v11#TitanOne',
					'woff'  => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgg.woff',
					'ttf'   => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgj.ttf',
					'woff2' => 'https://fonts.gstatic.com/s/titanone/v11/mFTzWbsGxbbS_J5cQcjClDgm.woff2',
				),
			),
		);
		$this->ts_poll_fonts_array = array_merge( $this->ts_poll_fonts['tsp_fonts']['tsp_emojies'], $this->ts_poll_fonts['tsp_fonts']['tsp_fontawesome'] );
		$this->ts_poll_themes      = array(
			'image-in-question'       => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '4',
				'ts_poll_bc'         => '#ffffff',
				'ts_poll_br'         => '2',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#828282',
				'ts_poll_q_bgc'      => '#e8e8e8',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '24',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_i_h'        => '50',
				'ts_poll_i_ra'       => '2',
				'ts_poll_v_w'        => '50',
				'ts_poll_laq_w'      => '90',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#828282',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Background',
				'ts_poll_a_fs'       => '18',
				'ts_poll_a_mbgc'     => '#e8e8e8',
				'ts_poll_a_bgc'      => '#6a3b6d',
				'ts_poll_a_c'        => '#ffffff',
				'ts_poll_a_bw'       => '0',
				'ts_poll_a_bc'       => '#1e73be',
				'ts_poll_a_br'       => '2',
				'ts_poll_ch_s'       => '22',
				'ts_poll_ch_tbc'     => 'f10c',
				'ts_poll_ch_cbc'     => '#ffffff',
				'ts_poll_ch_tac'     => 'f192',
				'ts_poll_ch_cac'     => '#d1d1d1',
				'ts_poll_a_hbgc'     => '',
				'ts_poll_a_hc'       => '#eaeaea',
				'ts_poll_laa_w'      => '90',
				'ts_poll_laa_h'      => '1',
				'ts_poll_laa_c'      => '#828282',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'right',
				'ts_poll_tv_c'       => '#309979',
				'ts_poll_tv_fs'      => '19',
				'ts_poll_vt_it'      => 'f1fe',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_vb_show'    => 'true',
				'ts_poll_vb_pos'     => 'right',
				'ts_poll_vb_bw'      => '3',
				'ts_poll_vb_bc'      => '#ffffff',
				'ts_poll_vb_br'      => '2',
				'ts_poll_vb_mbgc'    => '#e8e8e8',
				'ts_poll_vb_bgc'     => '#ffffff',
				'ts_poll_vb_c'       => '#000000',
				'ts_poll_vb_fs'      => '21',
				'ts_poll_vb_ff'      => 'Cairo',
				'ts_poll_vb_it'      => 'f124',
				'ts_poll_vb_ia'      => 'before',
				'ts_poll_vb_is'      => '17',
				'ts_poll_vb_hbgc'    => '#ffffff',
				'ts_poll_vb_hc'      => '#000000',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'left',
				'ts_poll_rb_bw'      => '3',
				'ts_poll_rb_bc'      => '#ffffff',
				'ts_poll_rb_br'      => '2',
				'ts_poll_rb_bgc'     => '#ffffff',
				'ts_poll_rb_c'       => '#000000',
				'ts_poll_rb_fs'      => '21',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_it'      => 'f05a',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '17',
				'ts_poll_rb_hbgc'    => '#ffffff',
				'ts_poll_rb_hc'      => '#000000',
				'ts_poll_v_ca'       => 'Background',
				'ts_poll_v_mbgc'     => '#e8e8e8',
				'ts_poll_v_bgc'      => '#ffffff',
				'ts_poll_v_c'        => '#000000',
				'ts_poll_v_t'        => 'bothlab',
				'ts_poll_v_eff'      => '7',
				'ts_poll_bb_mbgc'    => '#e8e8e8',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => '#ffffff',
				'ts_poll_bb_bgc'     => '#e8e8e8',
				'ts_poll_bb_c'       => '#000000',
				'ts_poll_bb_it'      => 'f177',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => '#e8e8e8',
				'ts_poll_bb_hc'      => '#000000',
				'ts_poll_tv_text'    => 'Total',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_rb_text'    => 'Result',
				'ts_poll_vb_text'    => 'Vote',
			),
			'image-poll'              => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '0',
				'ts_poll_bc'         => '#000000',
				'ts_poll_br'         => '8',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#7c7c7c',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '20',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '80',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#939393',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_cc'       => '3',
				'ts_poll_a_ih'       => '1',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '14',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => '#cccccc',
				'ts_poll_a_c'        => '#000000',
				'ts_poll_a_pos'      => 'Position 3',
				'ts_poll_ch_cm'      => 'false',
				'ts_poll_ch_s'       => '22',
				'ts_poll_ch_tbc'     => 'f10c',
				'ts_poll_ch_cbc'     => '#000000',
				'ts_poll_ch_tac'     => 'f192',
				'ts_poll_ch_cac'     => '#1e73be',
				'ts_poll_a_hbgc'     => '#ffffff',
				'ts_poll_a_hc'       => '#000000',
				'ts_poll_a_hsh_show' => 'true',
				'ts_poll_a_hshc'     => '#ffffff',
				'ts_poll_laa_w'      => '66',
				'ts_poll_laa_h'      => '2',
				'ts_poll_laa_c'      => '#ffffff',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_p_a_oc'     => 'rgba(30,115,190,0.5)',
				'ts_poll_p_a_c'      => '#ffffff',
				'ts_poll_p_a_vt'     => 'bothlab',
				'ts_poll_p_a_veff'   => '2',
				'ts_poll_vb_mbgc'    => '#ffffff',
				'ts_poll_vb_pos'     => 'right',
				'ts_poll_vb_bw'      => '3',
				'ts_poll_vb_bc'      => '#000000',
				'ts_poll_play_ic'    => '',
				'ts_poll_play_is'    => '',
				'ts_poll_play_iovc'  => '',
				'ts_poll_play_it'    => '',
				'ts_poll_vb_br'      => '2',
				'ts_poll_vb_bgc'     => '#000000',
				'ts_poll_vb_c'       => '#ffffff',
				'ts_poll_vb_fs'      => '20',
				'ts_poll_vb_ff'      => 'Cairo',
				'ts_poll_vb_text'    => 'Vote',
				'ts_poll_vb_it'      => '',
				'ts_poll_vb_ia'      => 'after',
				'ts_poll_vb_is'      => '21',
				'ts_poll_vb_hbgc'    => '#000000',
				'ts_poll_vb_hc'      => '#cccccc',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'right',
				'ts_poll_rb_bw'      => '3',
				'ts_poll_rb_bc'      => '#000000',
				'ts_poll_rb_br'      => '2',
				'ts_poll_rb_bgc'     => '#000000',
				'ts_poll_rb_c'       => '#ffffff',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_text'    => 'Results',
				'ts_poll_rb_it'      => '',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '21',
				'ts_poll_rb_hbgc'    => '#000000',
				'ts_poll_rb_hc'      => '#cccccc',
				'ts_poll_p_bb_mbgc'  => '#ffffff',
				'ts_poll_p_bb_pos'   => 'full',
				'ts_poll_p_bb_bc'    => '#000000',
				'ts_poll_p_bb_bgc'   => '#000000',
				'ts_poll_p_bb_c'     => '#ffffff',
				'ts_poll_p_bb_text'  => 'Back',
				'ts_poll_p_bb_it'    => 'f015',
				'ts_poll_p_bb_ia'    => 'after',
				'ts_poll_p_bb_hbgc'  => '#000000',
				'ts_poll_p_bb_hc'    => '#cccccc',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'left',
				'ts_poll_tv_c'       => '#a5a5a5',
				'ts_poll_tv_fs'      => '20',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'f200',
				'ts_poll_vt_ia'      => 'before',
			),
			'image-without-button'    => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '0',
				'ts_poll_bc'         => '#ffffff',
				'ts_poll_br'         => '22',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#848484',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '24',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '78',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#a5a5a5',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '18',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => '#ffffff',
				'ts_poll_a_c'        => '#000000',
				'ts_poll_a_bw'       => '2',
				'ts_poll_a_bc'       => '#a5a5a5',
				'ts_poll_a_br'       => '10',
				'ts_poll_a_hbgc'     => '#6394bf',
				'ts_poll_a_hc'       => '#000000',
				'ts_poll_i_h'        => '20',
				'ts_poll_i_ra'       => '2',
				'ts_poll_i_oc'       => 'rgba(99,148,191,0.55)',
				'ts_poll_i_it'       => 'f030',
				'ts_poll_i_ic'       => '#ffffff',
				'ts_poll_i_is'       => '25',
				'ts_poll_pop_show'   => 'true',
				'ts_poll_pop_it'     => 'f00d',
				'ts_poll_pop_ic'     => '#6394bf',
				'ts_poll_pop_bw'     => '10',
				'ts_poll_pop_bc'     => '#ffffff',
				'ts_poll_laa_w'      => '80',
				'ts_poll_laa_h'      => '1',
				'ts_poll_laa_c'      => '#a5a5a5',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'right',
				'ts_poll_tv_c'       => '#a5a5a5',
				'ts_poll_tv_fs'      => '20',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'f200',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'left',
				'ts_poll_rb_bw'      => '2',
				'ts_poll_rb_bc'      => '#6394bf',
				'ts_poll_rb_br'      => '10',
				'ts_poll_rb_mbgc'    => '#ffffff',
				'ts_poll_rb_bgc'     => '#6394bf',
				'ts_poll_rb_c'       => '#ffffff',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_text'    => 'Results',
				'ts_poll_rb_it'      => '',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '21',
				'ts_poll_rb_hbgc'    => '#6394bf',
				'ts_poll_rb_hc'      => '#ffffff',
				'ts_poll_v_ca'       => 'Nothing',
				'ts_poll_v_mbgc'     => '#ffffff',
				'ts_poll_v_bgc'      => '#6394bf',
				'ts_poll_v_c'        => '#000000',
				'ts_poll_v_t'        => 'bothlab',
				'ts_poll_v_eff'      => '2',
				'ts_poll_bb_mbgc'    => '#6394bf',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => '#6394bf',
				'ts_poll_bb_bgc'     => '#6394bf',
				'ts_poll_bb_c'       => '#ffffff',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_bb_it'      => 'f00d',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => '#6394bf',
				'ts_poll_bb_hc'      => '#ffffff',
			),
			'standard-poll'           => array(
				'ts_poll_tv_show'    => 'false',
				'ts_poll_tv_pos'     => 'full',
				'ts_poll_tv_c'       => '#000000',
				'ts_poll_tv_fs'      => '18',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'ts-poll ts-poll-pie-chart',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'full',
				'ts_poll_rb_bw'      => '5',
				'ts_poll_rb_bc'      => 'rgb(244, 244, 244)',
				'ts_poll_rb_br'      => '10',
				'ts_poll_rb_bgc'     => 'rgb(244, 244, 244)',
				'ts_poll_rb_c'       => '#000000',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Baumans',
				'ts_poll_rb_text'    => 'Result',
				'ts_poll_rb_it'      => 'ts-poll ts-poll-bar-chart',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '19',
				'ts_poll_rb_hbgc'    => 'rgb(244, 244, 244)',
				'ts_poll_rb_hc'      => '#4f4f4f',
				'ts_poll_v_ca'       => 'Nothing',
				'ts_poll_v_mbgc'     => 'rgb(244, 244, 244)',
				'ts_poll_v_bgc'      => 'rgb(181, 170, 170)',
				'ts_poll_v_c'        => 'rgb(0, 0, 0)',
				'ts_poll_v_t'        => 'bothlab',
				'ts_poll_v_eff'      => '0',
				'ts_poll_bb_mbgc'    => '#ffffff',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => 'rgb(244, 244, 244)',
				'ts_poll_bb_bgc'     => 'rgb(244, 244, 244)',
				'ts_poll_bb_c'       => 'rgb(8, 8, 8)',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_bb_it'      => 'ts-poll ts-poll-home',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => 'rgb(244, 244, 244)',
				'ts_poll_bb_hc'      => 'rgb(79, 79, 79)',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_mw'         => '60',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '0',
				'ts_poll_bc'         => 'rgb(255, 255, 255)',
				'ts_poll_br'         => '10',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'sh09',
				'ts_poll_boxsh'      => 'Baumans',
				'ts_poll_boxshc'     => 'rgb(184, 184, 184)',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => 'rgb(0, 0, 0)',
				'ts_poll_q_fs'       => '22',
				'ts_poll_q_ff'       => 'Baumans',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '0',
				'ts_poll_laq_h'      => '0',
				'ts_poll_laq_c'      => 'rgb(0, 0, 0)',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '19',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => 'rgb(244, 244, 244)',
				'ts_poll_a_c'        => 'rgb(0, 0, 0)',
				'ts_poll_a_bw'       => '1',
				'ts_poll_a_bc'       => 'rgb(255, 255, 255)',
				'ts_poll_a_br'       => '10',
				'ts_poll_ch_s'       => '19',
				'ts_poll_ch_tbc'     => 'ts-poll ts-poll-circle-thin',
				'ts_poll_ch_cbc'     => 'rgb(0, 0, 0)',
				'ts_poll_ch_tac'     => 'ts-poll ts-poll-bullseye',
				'ts_poll_ch_cac'     => 'rgb(0, 0, 0)',
				'ts_poll_ch_cm'      => 'false',
				'ts_poll_a_hbgc'     => 'rgb(255, 255, 255)',
				'ts_poll_a_hc'       => 'rgb(0, 0, 0)',
				'ts_poll_laa_w'      => '0',
				'ts_poll_laa_h'      => '0',
				'ts_poll_laa_c'      => 'rgb(0, 0, 0)',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_rb_mbgc'    => '#ffffff',
				'ts_poll_vb_pos'     => 'full',
				'ts_poll_vb_bw'      => '5',
				'ts_poll_vb_bc'      => 'rgb(244, 244, 244)',
				'ts_poll_vb_br'      => '10',
				'ts_poll_vb_mbgc'    => '#e8e8e8',
				'ts_poll_vb_bgc'     => 'rgb(244, 244, 244)',
				'ts_poll_vb_c'       => '#000000',
				'ts_poll_vb_fs'      => '21',
				'ts_poll_vb_ff'      => 'Baumans',
				'ts_poll_vb_it'      => 'ts-poll ts-poll-location-arrow',
				'ts_poll_vb_ia'      => 'before',
				'ts_poll_vb_is'      => '20',
				'ts_poll_vb_hbgc'    => 'rgb(244, 244, 244)',
				'ts_poll_vb_hc'      => 'rgb(79, 79, 79)',
				'ts_poll_vb_text'    => 'Vote',
			),
			'standard-without-button' => array(
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'right',
				'ts_poll_tv_c'       => '#000000',
				'ts_poll_tv_fs'      => '18',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'f200',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'left',
				'ts_poll_rb_bw'      => '2',
				'ts_poll_rb_bc'      => '#d8d8d8',
				'ts_poll_rb_br'      => '6',
				'ts_poll_rb_bgc'     => '#d8d8d8',
				'ts_poll_rb_c'       => '#000000',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_text'    => 'Result',
				'ts_poll_rb_it'      => 'f080',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '19',
				'ts_poll_rb_hbgc'    => '#d8d8d8',
				'ts_poll_rb_hc'      => '#4f4f4f',
				'ts_poll_v_ca'       => 'Nothing',
				'ts_poll_v_mbgc'     => '#dd3e3e',
				'ts_poll_v_bgc'      => '#dd0000',
				'ts_poll_v_c'        => '#ffffff',
				'ts_poll_v_t'        => 'both',
				'ts_poll_v_eff'      => '9',
				'ts_poll_bb_mbgc'    => '#ffffff',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => '#d8d8d8',
				'ts_poll_bb_bgc'     => '#d8d8d8',
				'ts_poll_bb_c'       => '#000000',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_bb_it'      => 'f015',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => '#d8d8d8',
				'ts_poll_bb_hc'      => '#000000',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '3',
				'ts_poll_bc'         => '#ffffff',
				'ts_poll_br'         => '15',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#a0a0a0',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => '#dd0000',
				'ts_poll_q_fs'       => '20',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '60',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#dd0000',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '17',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => '#ffffff',
				'ts_poll_a_c'        => '#dd0000',
				'ts_poll_a_bw'       => '1',
				'ts_poll_a_bc'       => '#d8d8d8',
				'ts_poll_a_br'       => '6',
				'ts_poll_ch_sh'      => 'true',
				'ts_poll_ch_s'       => '22',
				'ts_poll_ch_tbc'     => 'f0c8',
				'ts_poll_ch_cbc'     => '#d8d8d8',
				'ts_poll_ch_tac'     => 'f14a',
				'ts_poll_ch_cac'     => '#d8d8d8',
				'ts_poll_a_hbgc'     => '#d8d8d8',
				'ts_poll_a_hc'       => '#dd0000',
				'ts_poll_laa_w'      => '90',
				'ts_poll_laa_h'      => '2',
				'ts_poll_laa_c'      => '#ffffff',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_rb_mbgc'    => '#ffffff',
			),
			'video-in-question'       => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '4',
				'ts_poll_bc'         => '#ffffff',
				'ts_poll_br'         => '2',
				'ts_poll_boxsh_show' => 'false',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#828282',
				'ts_poll_q_bgc'      => '#e8e8e8',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '24',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_i_h'        => '50',
				'ts_poll_i_ra'       => '2',
				'ts_poll_v_w'        => '50',
				'ts_poll_laq_w'      => '90',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#828282',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Background',
				'ts_poll_a_fs'       => '18',
				'ts_poll_a_mbgc'     => '#e8e8e8',
				'ts_poll_a_bgc'      => '#6a3b6d',
				'ts_poll_a_c'        => '#ffffff',
				'ts_poll_a_bw'       => '0',
				'ts_poll_a_bc'       => '#1e73be',
				'ts_poll_a_br'       => '2',
				'ts_poll_ch_s'       => '22',
				'ts_poll_ch_tbc'     => 'f10c',
				'ts_poll_ch_cbc'     => '#ffffff',
				'ts_poll_ch_tac'     => 'f192',
				'ts_poll_ch_cac'     => '#d1d1d1',
				'ts_poll_a_hbgc'     => '',
				'ts_poll_a_hc'       => '#eaeaea',
				'ts_poll_laa_w'      => '90',
				'ts_poll_laa_h'      => '1',
				'ts_poll_laa_c'      => '#828282',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'right',
				'ts_poll_tv_c'       => '#309979',
				'ts_poll_tv_fs'      => '19',
				'ts_poll_vt_it'      => 'f1fe',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_vb_show'    => 'true',
				'ts_poll_vb_pos'     => 'right',
				'ts_poll_vb_bw'      => '3',
				'ts_poll_vb_bc'      => '#ffffff',
				'ts_poll_vb_br'      => '2',
				'ts_poll_vb_mbgc'    => '#e8e8e8',
				'ts_poll_vb_bgc'     => '#ffffff',
				'ts_poll_vb_c'       => '#000000',
				'ts_poll_vb_fs'      => '21',
				'ts_poll_vb_ff'      => 'Cairo',
				'ts_poll_vb_it'      => 'f124',
				'ts_poll_vb_ia'      => 'before',
				'ts_poll_vb_is'      => '17',
				'ts_poll_vb_hbgc'    => '#ffffff',
				'ts_poll_vb_hc'      => '#000000',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'left',
				'ts_poll_rb_bw'      => '3',
				'ts_poll_rb_bc'      => '#ffffff',
				'ts_poll_rb_br'      => '2',
				'ts_poll_rb_bgc'     => '#ffffff',
				'ts_poll_rb_c'       => '#000000',
				'ts_poll_rb_fs'      => '21',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_it'      => 'f05a',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '17',
				'ts_poll_rb_hbgc'    => '#ffffff',
				'ts_poll_rb_hc'      => '#000000',
				'ts_poll_v_ca'       => 'Background',
				'ts_poll_v_mbgc'     => '#e8e8e8',
				'ts_poll_v_bgc'      => '#ffffff',
				'ts_poll_v_c'        => '#000000',
				'ts_poll_v_t'        => 'bothlab',
				'ts_poll_v_eff'      => '7',
				'ts_poll_bb_mbgc'    => '#e8e8e8',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => '#ffffff',
				'ts_poll_bb_bgc'     => '#e8e8e8',
				'ts_poll_bb_c'       => '#000000',
				'ts_poll_bb_it'      => 'f177',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => '#e8e8e8',
				'ts_poll_bb_hc'      => '#000000',
				'ts_poll_tv_text'    => 'Total',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_rb_text'    => 'Result',
				'ts_poll_vb_text'    => 'Vote',
			),
			'video-poll'              => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '0',
				'ts_poll_bc'         => '#000000',
				'ts_poll_br'         => '8',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#7c7c7c',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '20',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '80',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#939393',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_cc'       => '3',
				'ts_poll_a_ih'       => '2',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '14',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => '#cccccc',
				'ts_poll_a_c'        => '#000000',
				'ts_poll_a_pos'      => 'Position 3',
				'ts_poll_ch_cm'      => 'false',
				'ts_poll_ch_s'       => '22',
				'ts_poll_ch_tbc'     => 'f10c',
				'ts_poll_ch_cbc'     => '#000000',
				'ts_poll_ch_tac'     => 'f192',
				'ts_poll_ch_cac'     => '#1e73be',
				'ts_poll_a_hbgc'     => '#ffffff',
				'ts_poll_a_hc'       => '#000000',
				'ts_poll_a_hsh_show' => 'true',
				'ts_poll_a_hshc'     => '#ffffff',
				'ts_poll_laa_w'      => '66',
				'ts_poll_laa_h'      => '2',
				'ts_poll_laa_c'      => '#ffffff',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_p_a_oc'     => 'rgba(30,115,190,0.5)',
				'ts_poll_p_a_c'      => '#ffffff',
				'ts_poll_p_a_vt'     => 'bothlab',
				'ts_poll_p_a_veff'   => '2',
				'ts_poll_vb_mbgc'    => '#ffffff',
				'ts_poll_vb_pos'     => 'right',
				'ts_poll_vb_bw'      => '3',
				'ts_poll_vb_bc'      => '#000000',
				'ts_poll_play_ic'    => 'rgba(255, 255, 255, 0.895)',
				'ts_poll_play_is'    => '33',
				'ts_poll_play_iovc'  => 'rgba(0, 0, 0, 0.355)',
				'ts_poll_play_it'    => 'ts-poll ts-poll-play',
				'ts_poll_vb_br'      => '2',
				'ts_poll_vb_bgc'     => '#000000',
				'ts_poll_vb_c'       => '#ffffff',
				'ts_poll_vb_fs'      => '20',
				'ts_poll_vb_ff'      => 'Cairo',
				'ts_poll_vb_text'    => 'Vote',
				'ts_poll_vb_it'      => '',
				'ts_poll_vb_ia'      => 'after',
				'ts_poll_vb_is'      => '21',
				'ts_poll_vb_hbgc'    => '#000000',
				'ts_poll_vb_hc'      => '#cccccc',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'right',
				'ts_poll_rb_bw'      => '3',
				'ts_poll_rb_bc'      => '#000000',
				'ts_poll_rb_br'      => '2',
				'ts_poll_rb_bgc'     => '#000000',
				'ts_poll_rb_c'       => '#ffffff',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_text'    => 'Results',
				'ts_poll_rb_it'      => '',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '21',
				'ts_poll_rb_hbgc'    => '#000000',
				'ts_poll_rb_hc'      => '#cccccc',
				'ts_poll_p_bb_mbgc'  => '#ffffff',
				'ts_poll_p_bb_pos'   => 'full',
				'ts_poll_p_bb_bc'    => '#000000',
				'ts_poll_p_bb_bgc'   => '#000000',
				'ts_poll_p_bb_c'     => '#ffffff',
				'ts_poll_p_bb_text'  => 'Back',
				'ts_poll_p_bb_it'    => 'f015',
				'ts_poll_p_bb_ia'    => 'after',
				'ts_poll_p_bb_hbgc'  => '#000000',
				'ts_poll_p_bb_hc'    => '#cccccc',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'left',
				'ts_poll_tv_c'       => '#a5a5a5',
				'ts_poll_tv_fs'      => '20',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'f200',
				'ts_poll_vt_ia'      => 'before',
			),
			'video-without-button'    => array(
				'ts_poll_mw'         => '100',
				'ts_poll_pos'        => 'center',
				'ts_poll_bw'         => '0',
				'ts_poll_bc'         => '#ffffff',
				'ts_poll_br'         => '22',
				'ts_poll_boxsh_show' => '',
				'ts_poll_boxsh_type' => 'true',
				'ts_poll_boxsh'      => 'Cairo',
				'ts_poll_boxshc'     => '#848484',
				'ts_poll_q_bgc'      => '#ffffff',
				'ts_poll_q_c'        => '#000000',
				'ts_poll_q_fs'       => '24',
				'ts_poll_q_ff'       => 'Cairo',
				'ts_poll_q_ta'       => 'center',
				'ts_poll_laq_w'      => '78',
				'ts_poll_laq_h'      => '1',
				'ts_poll_laq_c'      => '#a5a5a5',
				'ts_poll_laq_s'      => 'solid',
				'ts_poll_a_ca'       => 'Nothing',
				'ts_poll_a_fs'       => '18',
				'ts_poll_a_mbgc'     => '#ffffff',
				'ts_poll_a_bgc'      => '#ffffff',
				'ts_poll_a_c'        => '#000000',
				'ts_poll_a_bw'       => '2',
				'ts_poll_a_bc'       => '#a5a5a5',
				'ts_poll_a_br'       => '10',
				'ts_poll_a_hbgc'     => '#6394bf',
				'ts_poll_a_hc'       => '#000000',
				'ts_poll_i_h'        => '20',
				'ts_poll_i_ra'       => '2',
				'ts_poll_i_oc'       => 'rgba(99,148,191,0.55)',
				'ts_poll_i_it'       => 'f030',
				'ts_poll_i_ic'       => '#ffffff',
				'ts_poll_i_is'       => '25',
				'ts_poll_pop_show'   => 'true',
				'ts_poll_pop_it'     => 'f26c',
				'ts_poll_pop_ic'     => '#6394bf',
				'ts_poll_pop_bw'     => '10',
				'ts_poll_pop_bc'     => '#ffffff',
				'ts_poll_laa_w'      => '80',
				'ts_poll_laa_h'      => '1',
				'ts_poll_laa_c'      => '#a5a5a5',
				'ts_poll_laa_s'      => 'solid',
				'ts_poll_tv_show'    => 'true',
				'ts_poll_tv_pos'     => 'left',
				'ts_poll_tv_c'       => '#a5a5a5',
				'ts_poll_tv_fs'      => '20',
				'ts_poll_tv_text'    => 'Total Votes',
				'ts_poll_vt_it'      => 'f200',
				'ts_poll_vt_ia'      => 'before',
				'ts_poll_rb_show'    => 'true',
				'ts_poll_rb_pos'     => 'left',
				'ts_poll_rb_bw'      => '2',
				'ts_poll_rb_bc'      => '#6394bf',
				'ts_poll_rb_br'      => '10',
				'ts_poll_rb_mbgc'    => '#ffffff',
				'ts_poll_rb_bgc'     => '#6394bf',
				'ts_poll_rb_c'       => '#ffffff',
				'ts_poll_rb_fs'      => '20',
				'ts_poll_rb_ff'      => 'Cairo',
				'ts_poll_rb_text'    => 'Results',
				'ts_poll_rb_it'      => '',
				'ts_poll_rb_ia'      => 'before',
				'ts_poll_rb_is'      => '21',
				'ts_poll_rb_hbgc'    => '#6394bf',
				'ts_poll_rb_hc'      => '#ffffff',
				'ts_poll_v_ca'       => 'Nothing',
				'ts_poll_v_mbgc'     => '#ffffff',
				'ts_poll_v_bgc'      => '#6394bf',
				'ts_poll_v_c'        => '#000000',
				'ts_poll_v_t'        => 'bothlab',
				'ts_poll_v_eff'      => '2',
				'ts_poll_bb_mbgc'    => '#6394bf',
				'ts_poll_bb_pos'     => 'full',
				'ts_poll_bb_bc'      => '#6394bf',
				'ts_poll_bb_bgc'     => '#6394bf',
				'ts_poll_bb_c'       => '#ffffff',
				'ts_poll_bb_text'    => 'Back',
				'ts_poll_bb_it'      => 'f00d',
				'ts_poll_bb_ia'      => 'before',
				'ts_poll_bb_hbgc'    => '#6394bf',
				'ts_poll_bb_hc'      => '#ffffff',
			),
		);
	}

	public function tsp_icon_swap( $key, $value, $bool ) {
		if ( $key != 'ts_poll_ch_tbc' && $key != 'ts_poll_ch_tac' ) {
			if ( strlen( $value ) == 4 ) {
				if ( $value == 'none' || $value == 'None' ) {
					return 'ts-poll ts-poll-none';
				} else {
					if ( array_key_exists( $value, $this->ts_poll_fonts_array ) ) {
						return $this->ts_poll_fonts_array[ $value ];
					} else {
						return 'ts-poll ts-poll-none';
					}
				}
			} elseif ( $value == '' ) {
				return 'ts-poll ts-poll-none';
			} else {
				return $value;
			}
		} else {
			if ( $bool == true ) {
				if ( strlen( $value ) != 4 ) {
					if ( in_array( $value, $this->ts_poll_fonts_array ) ) {
						$key = array_search( $value, $this->ts_poll_fonts_array );
						return $key;
					} else {
						if ( $key == 'ts_poll_ch_tbc' ) {
							return 'f10c';
						} else {
							return 'f192';
						}
					}
				} else {
					return $value;
				}
			} else {
				if ( strlen( $value ) == 4 ) {
					if ( $value == 'none' || $value == 'None' ) {
						if ( $key == 'ts_poll_ch_tbc' ) {
							  return 'ts-poll ts-poll-circle-o';
						} else {
							return 'ts-poll ts-poll-dot-circle-o';
						}
					} else {
						if ( array_key_exists( $value, $this->ts_poll_fonts_array ) ) {
							return $this->ts_poll_fonts_array[ $value ];
						} else {
							if ( $key == 'ts_poll_ch_tbc' ) {
								return 'ts-poll ts-poll-circle-o';
							} else {
								return 'ts-poll ts-poll-dot-circle-o';
							}
						}
					}
				} elseif ( $value == '' ) {
					if ( $key == 'ts_poll_ch_tbc' ) {
						return 'ts-poll ts-poll-circle-o';
					} else {
						return 'ts-poll ts-poll-dot-circle-o';
					}
				} else {
					return $value;
				}
			}
		}
	}

	public function tsp_icon_get_class_value( $value ) {
		if ( strlen( $value ) == 4 ) {
			if ( array_key_exists( $value, $this->ts_poll_fonts_array ) ) {
				return $this->ts_poll_fonts_array[ $value ];
			} else {
				return $value;
			}
		} else {
			return $value;
		}
	}

	public function tsp_get_all_fonts() {
		return $this->ts_poll_fonts;
	}

	public function tsp_get_all_params() {
		return $tsp_return_params = array(
			'Question_Title'    => 'Do You Like Our Plugin?',
			'Question_Settings' => array(
				'TotalSoft_Poll_Set_01' => 'true',
				'TotalSoft_Poll_Set_02' => '',
				'TotalSoft_Poll_Set_03' => '',
				'TotalSoft_Poll_Set_04' => 'Coming Soon',
				'TotalSoft_Poll_Set_05' => 'Thank You !',
				'TotalSoft_Poll_Set_06' => 'rgba(209,209,209,0.79)',
				'TotalSoft_Poll_Set_07' => '#000000',
				'TotalSoft_Poll_Set_08' => '32',
				'TotalSoft_Poll_Set_09' => 'Cairo',
				'TotalSoft_Poll_Set_10' => 'false',
				'TotalSoft_Poll_Set_11' => 'ipaddress',
			),
			'Question_Param'    => array(
				'TS_Poll_Q_Theme'    => 'TS Poll theme name',
				'TotalSoftPoll_Q_Im' => '',
				'TotalSoftPoll_Q_Vd' => '',
			),
			'Answers_Sort'      => 'new-1,new-2,new-3,new-4,new-5',
			'Answers'           => array(
				'new-1' => array(
					'id'           => 'new-1',
					'Question_id'  => '',
					'Answer_Title' => 'The Best Plugin Ever',
					'Answer_Votes' => '0',
					'Answer_Param' => array(
						'TotalSoftPoll_Ans_Im' => '',
						'TotalSoftPoll_Ans_Vd' => '',
						'TotalSoftPoll_Ans_Cl' => '#dd3333',
					),
				),
				'new-2' => array(
					'id'           => 'new-2',
					'Question_id'  => '',
					'Answer_Title' => 'Of Course',
					'Answer_Votes' => '0',
					'Answer_Param' => array(
						'TotalSoftPoll_Ans_Im' => '',
						'TotalSoftPoll_Ans_Vd' => '',
						'TotalSoftPoll_Ans_Cl' => '#dd9933',
					),
				),
				'new-3' => array(
					'id'           => 'new-3',
					'Question_id'  => '',
					'Answer_Title' => 'Not at All',
					'Answer_Votes' => '0',
					'Answer_Param' => array(
						'TotalSoftPoll_Ans_Im' => '',
						'TotalSoftPoll_Ans_Vd' => '',
						'TotalSoftPoll_Ans_Cl' => '#81d742',
					),
				),
				'new-4' => array(
					'id'           => 'new-4',
					'Question_id'  => '',
					'Answer_Title' => 'No',
					'Answer_Votes' => '0',
					'Answer_Param' => array(
						'TotalSoftPoll_Ans_Im' => '',
						'TotalSoftPoll_Ans_Vd' => '',
						'TotalSoftPoll_Ans_Cl' => '#1e73be',
					),
				),
				'new-5' => array(
					'id'           => 'new-5',
					'Question_id'  => '',
					'Answer_Title' => 'Yes',
					'Answer_Votes' => '0',
					'Answer_Param' => array(
						'TotalSoftPoll_Ans_Im' => '',
						'TotalSoftPoll_Ans_Vd' => '',
						'TotalSoftPoll_Ans_Cl' => '#8224e3',
					),
				),
			),
		);
	}

	public function tsp_get_theme_params( $theme_id ) {
		if ( array_key_exists( $theme_id, $this->ts_poll_themes ) ) {
			return $this->ts_poll_themes[ $theme_id ];
		} else {
			return array();
		}
	}


	public function tsp_get_font_face( $value ) {
		if ( array_key_exists( $value, $this->ts_poll_fonts['tsp_font_families'] ) ) {
			return sprintf(
				'
				  @font-face {
					font-family: "%s";
					font-style: normal;
					font-weight: 400;
					src: url("%s"); 
					src: url("%s") format("embedded-opentype"), 
						 url("%s") format("woff2"), 
						 url("%s") format("woff"), 
						 url("%s") format("truetype"), 
						 url("%s") format("svg");
				  }
				',
				esc_attr( $value ),
				array_key_exists( 'eot', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['eot'] ) : '',
				array_key_exists( 'eot', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['eot'] ) : '',
				array_key_exists( 'woff2', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['woff2'] ) : '',
				array_key_exists( 'woff', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['woff'] ) : '',
				array_key_exists( 'ttf', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['ttf'] ) : '',
				array_key_exists( 'svg', $this->ts_poll_fonts['tsp_font_families'][ $value ] ) ? esc_url( $this->ts_poll_fonts['tsp_font_families'][ $value ]['svg'] ) : ''
			);
		} else {
			return false;
		}
	}
}
